<?php
if ( !defined( 'ABSPATH' ) ) {
    exit;
}
if ( !function_exists( 'kuteshop_enqueue_inline_css' ) ) {
    function kuteshop_enqueue_inline_css()
    {
        $css                       = html_entity_decode( kuteshop_get_option( 'ace_style', '' ) );
        $body_typography           = kuteshop_theme_option_meta(
            '_custom_metabox_theme_options',
            'body_typography',
            'body_typography'
        );
        $default_color             = kuteshop_theme_option_meta(
            '_custom_metabox_theme_options',
            'default_color',
            'metabox_default_color',
            '#222'
        );
        $main_color                = kuteshop_theme_option_meta(
            '_custom_metabox_theme_options',
            'main_color',
            'metabox_main_color',
            '#ff3366'
        );
        $main_color_b              = kuteshop_theme_option_meta(
            '_custom_metabox_theme_options',
            'main_color_b',
            'metabox_main_color_b',
            ''
        );
        $main_color_t              = kuteshop_theme_option_meta(
            '_custom_metabox_theme_options',
            'main_color_t',
            'metabox_main_color_t',
            '#fff'
        );
        $container                 = kuteshop_theme_option_meta(
            '_custom_metabox_theme_options',
            'main_container',
            'metabox_main_container',
            1170
        );
        $main_fw                   = kuteshop_theme_option_meta(
            '_custom_metabox_theme_options',
            'main_fw',
            'metabox_main_fw',
            600
        );
        $main_bora                 = kuteshop_theme_option_meta(
            '_custom_metabox_theme_options',
            'main_bora',
            'metabox_main_bora',
            0
        );
        $vertical_items            = kuteshop_theme_option_meta(
            '_custom_metabox_theme_options',
            'vertical_items',
            'metabox_vertical_items'
        );
        $sidebar_width             = kuteshop_get_option( 'sidebar_width', 330 );
        $sidebar_space             = kuteshop_get_option( 'sidebar_space', 30 );
        $shop_sidebar_width        = kuteshop_get_option( 'shop_sidebar_width', 330 );
        $shop_sidebar_space        = kuteshop_get_option( 'shop_sidebar_space', 30 );
        $sidebar_width_tablet      = kuteshop_get_option( 'sidebar_width_tablet', 270 );
        $sidebar_space_tablet      = kuteshop_get_option( 'sidebar_space_tablet', 30 );
        $shop_sidebar_width_tablet = kuteshop_get_option( 'shop_sidebar_width_tablet', 270 );
        $shop_sidebar_space_tablet = kuteshop_get_option( 'shop_sidebar_space_tablet', 30 );
        $main_color_h              = Biolife_Colors::hexToHsl( $main_color )['h'];
        $main_color_s              = Biolife_Colors::hexToHsl( $main_color )['s'];
        $main_color_l              = Biolife_Colors::hexToHsl( $main_color )['l'];

        $css .= 'body{
        --main-color-h:' . $main_color_h . ';
        --main-color-s:' . $main_color_s . '%;
        --main-color-l:' . $main_color_l . '%;
        ';
        if ( !empty( $body_typography ) ) {
            if ( !empty( $body_typography['font-family'] ) )
                $css .= '--main-ff:' . $body_typography['font-family'] . ';';
            if ( !empty( $body_typography['font-size'] ) )
                $css .= '--main-fz:' . $body_typography['font-size'] . ';';
            if ( !empty( $body_typography['line-height'] ) )
                $css .= '--main-lh:' . $body_typography['line-height'] . ';';
            if ( !empty( $body_typography['color'] ) )
                $css .= '--main-cl:' . $body_typography['color'] . ';';
        }
        if ( $default_color != '#222' )
            $css .= '--default-color:' . $default_color . ';';
        if ( $main_color != '#ff3366' )
            $css .= '--main-color:' . $main_color . ';';
        if ( $main_color_b != '' )
            $css .= '--main-color-b:' . $main_color_b . ';';
        if ( $main_color_t != '#fff' )
            $css .= '--main-color-t:' . $main_color_t . ';';
        if ( $sidebar_width != 330 )
            $css .= '--sidebar-width:' . $sidebar_width . 'px;';
        if ( $sidebar_space != 30 )
            $css .= '--sidebar-space:' . $sidebar_space . 'px;';
        if ( $shop_sidebar_width != 330 )
            $css .= '--shop-sidebar-width:' . $shop_sidebar_width . 'px;';
        if ( $shop_sidebar_space != 30 )
            $css .= '--shop-sidebar-space:' . $shop_sidebar_space . 'px;';
        if ( $main_fw != 600 )
            $css .= '--main-h-fw:' . $main_fw . ';';
        if ( $main_bora != 0 )
            $css .= '--main-bora:' . $main_bora . 'px;';
        $css .= '}';
        $css .= '@media (max-width:1499px) and (min-width:992px){body{';
        if ( $sidebar_width_tablet != 270 )
            $css .= '--sidebar-width:' . $sidebar_width_tablet . 'px;';
        if ( $sidebar_space_tablet != 30 )
            $css .= '--sidebar-space:' . $sidebar_space_tablet . 'px;';
        if ( $shop_sidebar_width_tablet != 270 )
            $css .= '--shop-sidebar-width:' . $shop_sidebar_width_tablet . 'px;';
        if ( $shop_sidebar_space_tablet != 30 )
            $css .= '--shop-sidebar-space:' . $shop_sidebar_space_tablet . 'px;';
        $css .= '}}';
        if ( !empty( $container ) && $container != 1140 ) {
            $container_padding = $container + 30;
            $media             = $container_padding < 1200 ? 1200 : ( $container_padding + 30 );
            $css               .= '
            @media (min-width: ' . $media . 'px){
                body{
                    --main-container:' . $container . 'px;
                }
                body.wcfm-store-page .site #main{
                    width:' . $container_padding . 'px !important;
                }
            }
            ';
        }
        if ( !empty( $vertical_items ) ) {
            $css .= '
            .vertical-menu > .menu-item:nth-child(n+' . ( $vertical_items + 1 ) . '){
                display: none;
            }
            ';
        }

        $css = preg_replace( '/\s+/', ' ', $css );

        wp_add_inline_style( 'kuteshop-main',
            apply_filters( 'kuteshop_custom_inline_css', $css, $main_color, $container )
        );
    }

    add_action( 'wp_enqueue_scripts', 'kuteshop_enqueue_inline_css', 30 );
}