<?php if ( !defined( 'ABSPATH' ) ) {
    die;
} // Cannot access pages directly.
/*==========================================================================
METABOX BOX OPTIONS
===========================================================================*/
if ( !function_exists( 'kuteshop_metabox_options' ) && class_exists( 'OVIC_Metabox' ) ) {
    function kuteshop_metabox_options()
    {
        $vertical_menu = 'style-01,style-02,style-03,style-04,style-05,style-99';
        $sections      = array();
        // -----------------------------------------
        // Page Side Meta box Options              -
        // -----------------------------------------
        $sections[] = array(
            'id'             => '_custom_page_side_options',
            'title'          => esc_html__( 'Custom Page Side Options', 'kuteshop' ),
            'post_type'      => 'page',
            'context'        => 'side',
            'priority'       => 'high',
            'page_templates' => 'default',
            'sections'       => array(
                array(
                    'name'   => 'page_option',
                    'fields' => array(
                        array(
                            'id'      => 'page_title',
                            'type'    => 'switcher',
                            'title'   => esc_html__( 'Page Title', 'kuteshop' ),
                            'desc'    => esc_html__( 'for Default Template', 'kuteshop' ),
                            'default' => 1,
                        ),
                        array(
                            'id'         => 'sidebar_page_layout',
                            'type'       => 'image_select',
                            'title'      => esc_html__( 'Single Page Sidebar Position', 'kuteshop' ),
                            'desc'       => esc_html__( 'Select sidebar position on Page.', 'kuteshop' ),
                            'options'    => array(
                                'left'  => get_theme_file_uri( 'assets/images/left-sidebar.png' ),
                                'right' => get_theme_file_uri( 'assets/images/right-sidebar.png' ),
                                'full'  => get_theme_file_uri( 'assets/images/no-sidebar.png' ),
                            ),
                            'default'    => 'left',
                            'attributes' => array(
                                'data-depend-id' => 'sidebar_page_layout',
                            ),
                        ),
                        array(
                            'id'         => 'page_sidebar',
                            'type'       => 'select',
                            'title'      => esc_html__( 'Page Sidebar', 'kuteshop' ),
                            'options'    => 'sidebars',
                            'dependency' => array( 'sidebar_page_layout', '!=', 'full' ),
                        ),
                        array(
                            'id'    => 'page_extra_class',
                            'type'  => 'text',
                            'title' => esc_html__( 'Extra Class', 'kuteshop' ),
                        ),
                    ),
                ),
            ),
        );
        // -----------------------------------------
        // Page Meta box Options                   -
        // -----------------------------------------
        $sections[] = array(
            'id'        => '_custom_metabox_theme_options',
            'title'     => esc_html__( 'Custom Theme Options', 'kuteshop' ),
            'post_type' => 'page',
            'context'   => 'normal',
            'priority'  => 'high',
            'sections'  => array(
                'options' => array(
                    'name'   => 'options',
                    'title'  => esc_html__( 'General', 'kuteshop' ),
                    'icon'   => 'fa fa-wordpress',
                    'fields' => array(
                        array(
                            'id'    => 'enable_metabox_options',
                            'type'  => 'switcher',
                            'title' => esc_html__( 'Enable Metabox Options', 'kuteshop' ),
                            'desc'  => esc_html__( 'If this option enable then this page will get setting in here, else this page will get setting in Theme Options', 'kuteshop' ),
                        ),
                        array(
                            'id'    => 'metabox_logo',
                            'type'  => 'image',
                            'title' => esc_html__( 'Logo', 'kuteshop' ),
                            'desc'  => esc_html__( 'Setting Logo For Site', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'metabox_default_color',
                            'type'    => 'color',
                            'rgba'    => true,
                            'default' => '#000',
                            'title'   => esc_html__( 'Default Color', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'metabox_main_color',
                            'type'    => 'color',
                            'rgba'    => true,
                            'default' => '#ff3366',
                            'title'   => esc_html__( 'Main Color', 'kuteshop' ),
                        ),
                        array(
                            'id'    => 'metabox_main_color_b',
                            'type'  => 'color',
                            'rgba'  => true,
                            'title' => esc_html__( 'Main Color - Button Hover', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'metabox_main_color_t',
                            'type'    => 'color',
                            'rgba'    => true,
                            'default' => '#fff',
                            'title'   => esc_html__( 'Main Color - Text Inside', 'kuteshop' ),
                            'desc'    => esc_html__( 'Text inside "Boxes has background main color" will has this color', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'metabox_main_container',
                            'type'    => 'slider',
                            'title'   => esc_html__( 'Main Container', 'kuteshop' ),
                            'min'     => 1140,
                            'max'     => 1920,
                            'step'    => 10,
                            'unit'    => esc_html__( 'px', 'kuteshop' ),
                            'default' => 1170,
                        ),
                        array(
                            'id'      => 'metabox_main_fw',
                            'type'    => 'select',
                            'title'   => esc_html__( 'Main Font Weight', 'kuteshop' ),
                            'options' => array(
                                400 => esc_html__( 'Regular', 'kuteshop' ),
                                500 => esc_html__( 'Medium', 'kuteshop' ),
                                600 => esc_html__( 'Semi-bold', 'kuteshop' ),
                                700 => esc_html__( 'Bold', 'kuteshop' ),
                            ),
                            'default' => 600,
                        ),
                        array(
                            'id'      => 'metabox_main_bora',
                            'type'    => 'number',
                            'title'   => esc_html__( 'Main Border Radius', 'kuteshop' ),
                            'min'     => 0,
                            'max'     => 1000,
                            'unit'    => esc_html__( 'px', 'kuteshop' ),
                            'default' => 0,
                        ),
                        array(
                            'id'             => 'body_typography',
                            'type'           => 'typography',
                            'title'          => esc_html__( 'Typography of Body', 'kuteshop' ),
                            'font_family'    => true,
                            'font_weight'    => true,
                            'font_style'     => true,
                            'subset'         => true,
                            'text_align'     => true,
                            'text_transform' => true,
                            'font_size'      => true,
                            'line_height'    => true,
                            'letter_spacing' => true,
                            'extra_styles'   => true,
                            'color'          => true,
                            'output'         => 'body',
                        ),
                    ),
                ),
                'header'  => array(
                    'name'   => 'header',
                    'title'  => esc_html__( 'Header', 'kuteshop' ),
                    'icon'   => 'fa fa-folder-open-o',
                    'fields' => array(
                        array(
                            'id'         => 'metabox_header_template',
                            'type'       => 'select_preview',
                            'options'    => kuteshop_file_options( '/templates/header/', 'header' ),
                            'default'    => 'style-01',
                            'attributes' => array(
                                'data-depend-id' => 'metabox_header_template',
                            ),
                        ),
                        array(
                            'id'          => 'metabox_header_banner',
                            'type'        => 'select',
                            'options'     => 'page',
                            'chosen'      => true,
                            'ajax'        => true,
                            'placeholder' => esc_html__( 'None', 'kuteshop' ),
                            'title'       => esc_html__( 'Header Banner', 'kuteshop' ),
                            'desc'        => esc_html__( 'Get banner on header from page builder', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'metabox_enable_primary_menu',
                            'type'    => 'switcher',
                            'title'   => esc_html__( 'Enable Primary Menu', 'kuteshop' ),
                            'default' => 1,
                        ),
                        array(
                            'id'          => 'metabox_primary_menu',
                            'type'        => 'select',
                            'title'       => esc_html__( 'Primary Menu', 'kuteshop' ),
                            'desc'        => esc_html__( 'default is Display location on Menu panel: "Primary Menu"', 'kuteshop' ),
                            'options'     => 'menus',
                            'chosen'      => true,
                            'ajax'        => true,
                            'query_args'  => array(
                                'data-slug' => true,
                            ),
                            'placeholder' => esc_html__( 'None', 'kuteshop' ),
                            'dependency'  => array( 'metabox_enable_primary_menu', '==', 1 ),
                        ),
                        array(
                            'id'          => 'metabox_header_submenu',
                            'type'        => 'select',
                            'title'       => esc_html__( 'Header Submenu', 'kuteshop' ),
                            'options'     => 'menus',
                            'chosen'      => true,
                            'ajax'        => true,
                            'query_args'  => array(
                                'data-slug' => true,
                            ),
                            'placeholder' => esc_html__( 'None', 'kuteshop' ),
                        ),
                        array(
                            'id'          => 'metabox_header_submenu_2',
                            'type'        => 'select',
                            'title'       => esc_html__( 'Header Submenu 2', 'kuteshop' ),
                            'options'     => 'menus',
                            'chosen'      => true,
                            'ajax'        => true,
                            'query_args'  => array(
                                'data-slug' => true,
                            ),
                            'placeholder' => esc_html__( 'None', 'kuteshop' ),
                        ),
                        array(
                            'id'          => 'metabox_header_submenu_3',
                            'type'        => 'select',
                            'title'       => esc_html__( 'Header Submenu 3', 'kuteshop' ),
                            'options'     => 'menus',
                            'chosen'      => true,
                            'ajax'        => true,
                            'query_args'  => array(
                                'data-slug' => true,
                            ),
                            'placeholder' => esc_html__( 'None', 'kuteshop' ),
                            'dependency'  => array(
                                'metabox_header_template', 'any',
                                'style-02,style-04'
                            ),
                        ),
                        array(
                            'id'              => 'metabox_header_info',
                            'type'            => 'group',
                            'title'           => esc_html__( 'Header Info', 'kuteshop' ),
                            'button_title'    => esc_html__( 'Add item', 'kuteshop' ),
                            'accordion_title' => esc_html__( 'Add New item', 'kuteshop' ),
                            'fields'          => array(
                                array(
                                    'id'    => 'info_title',
                                    'type'  => 'text',
                                    'title' => esc_html__( 'Title', 'kuteshop' ),
                                ),
                                array(
                                    'id'    => 'info_img',
                                    'type'  => 'image',
                                    'title' => esc_html__( 'Image', 'kuteshop' ),
                                ),
                            ),
                            'dependency'      => array(
                                'metabox_header_template', 'any',
                                'style-04'
                            ),
                        ),
                        array(
                            'id'         => 'metabox_header_phone',
                            'type'       => 'text',
                            'title'      => esc_html__( 'Header Phone', 'kuteshop' ),
                            'dependency' => array(
                                'metabox_header_template', 'any',
                                'style-01,style-02,style-03,style-05,style-99'
                            ),
                        ),
                        array(
                            'id'         => 'metabox_header_message',
                            'type'       => 'text',
                            'title'      => esc_html__( 'Header Message', 'kuteshop' ),
                            'dependency' => array(
                                'metabox_header_template', 'any',
                                'style-02,style-99,spo'
                            ),
                        ),
                        array(
                            'id'          => 'metabox_vertical_menu',
                            'type'        => 'select',
                            'title'       => esc_html__( 'Vertical Menu', 'kuteshop' ),
                            'options'     => 'menus',
                            'chosen'      => true,
                            'ajax'        => true,
                            'query_args'  => array(
                                'data-slug' => true,
                            ),
                            'placeholder' => esc_html__( 'None', 'kuteshop' ),
                            'dependency'  => array( 'metabox_header_template', 'any', $vertical_menu, true ),
                        ),
                        array(
                            'id'         => 'metabox_vertical_title',
                            'type'       => 'text',
                            'title'      => esc_html__( 'Vertical Title', 'kuteshop' ),
                            'default'    => esc_html__( 'Categories', 'kuteshop' ),
                            'dependency' => array( 'metabox_header_template', 'any', $vertical_menu, true ),
                        ),
                        array(
                            'id'         => 'metabox_vertical_items',
                            'type'       => 'number',
                            'unit'       => 'items',
                            'default'    => 11,
                            'title'      => esc_html__( 'Vertical Items', 'kuteshop' ),
                            'dependency' => array( 'metabox_header_template', 'any', $vertical_menu, true ),
                        ),
                        array(
                            'id'         => 'metabox_vertical_show_more',
                            'type'       => 'text',
                            'title'      => esc_html__( 'Vertical Button Show More', 'kuteshop' ),
                            'default'    => esc_html__( 'All Categories', 'kuteshop' ),
                            'dependency' => array( 'metabox_header_template', 'any', $vertical_menu, true ),
                        ),
                        array(
                            'id'         => 'metabox_vertical_show_less',
                            'type'       => 'text',
                            'title'      => esc_html__( 'Vertical Button Show Less', 'kuteshop' ),
                            'default'    => esc_html__( 'Close', 'kuteshop' ),
                            'dependency' => array( 'metabox_header_template', 'any', $vertical_menu, true ),
                        ),
                    ),
                ),
                'footer'  => array(
                    'name'   => 'footer',
                    'title'  => esc_html__( 'Footer', 'kuteshop' ),
                    'icon'   => 'fa fa-folder-open-o',
                    'fields' => array(
                        array(
                            'id'      => 'metabox_footer_template',
                            'type'    => 'select_preview',
                            'default' => 'footer-01',
                            'options' => kuteshop_footer_preview(),
                        ),
                    ),
                ),
            ),
        );
        // -----------------------------------------
        // Post Meta box Options                   -
        // -----------------------------------------
        $sections[] = array(
            'id'        => '_custom_metabox_post_options',
            'title'     => esc_html__( 'Post Meta', 'kuteshop' ),
            'post_type' => 'post',
            'context'   => 'normal',
            'priority'  => 'high',
            'sections'  => array(
                array(
                    'name'   => 'post_options',
                    'icon'   => 'fa fa-picture-o',
                    'fields' => array(
                        array(
                            'id'    => 'post_formats',
                            'type'  => 'tabbed',
                            'title' => esc_html__( 'Post formats', 'kuteshop' ),
                            'desc'  => esc_html__( 'The data post formats', 'kuteshop' ),
                            'tabs'  => array(
                                array(
                                    'title'  => esc_html__( 'Quote', 'kuteshop' ),
                                    'fields' => array(
                                        array(
                                            'id'         => 'quote',
                                            'type'       => 'text',
                                            'title'      => esc_html__( 'Quote Text', 'kuteshop' ),
                                            'attributes' => array(
                                                'style' => 'width:100%',
                                            ),
                                        ),
                                    ),
                                ),
                                array(
                                    'title'  => esc_html__( 'Gallery', 'kuteshop' ),
                                    'fields' => array(
                                        array(
                                            'id'    => 'gallery',
                                            'type'  => 'gallery',
                                            'title' => esc_html__( 'Gallery source', 'kuteshop' ),
                                        ),
                                    ),
                                ),
                                array(
                                    'title'  => esc_html__( 'Video', 'kuteshop' ),
                                    'fields' => array(
                                        array(
                                            'id'      => 'video',
                                            'type'    => 'upload',
                                            'library' => 'video',
                                            'title'   => esc_html__( 'Video source', 'kuteshop' ),
                                        ),
                                    ),
                                ),
                                array(
                                    'title'  => esc_html__( 'Audio', 'kuteshop' ),
                                    'fields' => array(
                                        array(
                                            'id'      => 'audio',
                                            'type'    => 'upload',
                                            'title'   => esc_html__( 'Audio source', 'kuteshop' ),
                                            'library' => 'audio',
                                        ),
                                    ),
                                ),
                            ),
                        ),
                    ),
                ),

            ),
        );
        // -----------------------------------------
        // Product Meta box Options                -
        // -----------------------------------------
        if ( class_exists( 'WooCommerce' ) ) {
            $sections[] = array(
                'id'        => '_custom_metabox_product_options',
                'title'     => esc_html__( 'Custom Product Options', 'kuteshop' ),
                'post_type' => 'product',
                'context'   => 'side',
                'priority'  => 'high',
                'sections'  => array(
                    array(
                        'name'   => 'product_option',
                        'fields' => array(
                            array(
                                'id'    => 'poster',
                                'type'  => 'image',
                                'title' => esc_html__( 'Poster Video', 'kuteshop' ),
                            ),
                            array(
                                'id'    => 'video',
                                'type'  => 'text',
                                'title' => esc_html__( 'Video Url', 'kuteshop' ),
                            ),
                            array(
                                'id'    => 'gallery',
                                'type'  => 'gallery',
                                'title' => esc_html__( '360 Degree', 'kuteshop' ),
                            ),
                        ),
                    ),
                ),
            );
        }

        OVIC_Metabox::instance( apply_filters( 'kuteshop_framework_metabox_options', $sections ) );
    }

    add_action( 'init', 'kuteshop_metabox_options' );
}