<?php if ( !defined( 'ABSPATH' ) ) {
    die;
} // Cannot access pages directly.
/*==========================================================================
THEME BOX OPTIONS
===========================================================================*/
if ( !function_exists( 'kuteshop_theme_options' ) && class_exists( 'OVIC_Options' ) ) {
    function kuteshop_theme_options()
    {
        $vertical_menu = 'style-01,style-02,style-03,style-04,style-05,style-99';
        $options       = array();
        // -----------------------------------------
        // Theme Options              -
        // -----------------------------------------
        $options['general_main'] = array(
            'name'     => 'general_main',
            'icon'     => 'fa fa-wordpress',
            'title'    => esc_html__( 'General', 'kuteshop' ),
            'sections' => array(
                array(
                    'title'  => esc_html__( 'General', 'kuteshop' ),
                    'fields' => array(
                        array(
                            'id'    => 'logo',
                            'type'  => 'image',
                            'title' => esc_html__( 'Logo', 'kuteshop' ),
                            'desc'  => esc_html__( 'Setting Logo For Site', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'default_color',
                            'type'    => 'color',
                            'rgba'    => true,
                            'default' => '#000',
                            'title'   => esc_html__( 'Default Color', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'main_color',
                            'type'    => 'color',
                            'rgba'    => true,
                            'default' => '#ff3366',
                            'title'   => esc_html__( 'Main Color', 'kuteshop' ),
                        ),
                        array(
                            'id'    => 'main_color_b',
                            'type'  => 'color',
                            'rgba'  => true,
                            'title' => esc_html__( 'Main Color - Button Hover', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'main_color_t',
                            'type'    => 'color',
                            'rgba'    => true,
                            'default' => '#fff',
                            'title'   => esc_html__( 'Main Color - Text Inside', 'kuteshop' ),
                            'desc'    => esc_html__( 'Text inside "Boxes has background main color" will has this color', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'main_container',
                            'type'    => 'slider',
                            'title'   => esc_html__( 'Main Container', 'kuteshop' ),
                            'min'     => 1140,
                            'max'     => 1920,
                            'step'    => 10,
                            'unit'    => esc_html__( 'px', 'kuteshop' ),
                            'default' => 1170,
                        ),
                        array(
                            'id'      => 'main_fw',
                            'type'    => 'select',
                            'title'   => esc_html__( 'Main Font Weight', 'kuteshop' ),
                            'options' => array(
                                400 => esc_html__( 'Regular', 'kuteshop' ),
                                500 => esc_html__( 'Medium', 'kuteshop' ),
                                600 => esc_html__( 'Semi-bold', 'kuteshop' ),
                                700 => esc_html__( 'Bold', 'kuteshop' ),
                            ),
                            'default' => 600,
                        ),
                        array(
                            'id'      => 'main_bora',
                            'type'    => 'number',
                            'title'   => esc_html__( 'Main Border Radius', 'kuteshop' ),
                            'min'     => 0,
                            'max'     => 1000,
                            'unit'    => esc_html__( 'px', 'kuteshop' ),
                            'default' => 0,
                        ),
                    ),
                ),
                array(
                    'title'  => esc_html__( 'Enable/Disable', 'kuteshop' ),
                    'fields' => array(
                        array(
                            'id'    => 'disable_equal',
                            'type'  => 'switcher',
                            'title' => esc_html__( 'Disable Equal Height', 'kuteshop' ),
                        ),
                        array(
                            'id'    => 'enable_cache_option',
                            'type'  => 'switcher',
                            'title' => esc_html__( 'Enable Cache Options', 'kuteshop' ),
                        ),
                        array(
                            'id'    => 'enable_ajax_comment',
                            'type'  => 'switcher',
                            'title' => esc_html__( 'Enable Nav Ajax Comment', 'kuteshop' ),
                        ),
                        array(
                            'id'    => 'enable_backtotop',
                            'type'  => 'switcher',
                            'title' => esc_html__( 'Enable Back To Top Button', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'enable_ovic_rtl',
                            'type'    => 'switcher',
                            'title'   => esc_html__( 'Enable Ovic RTL', 'kuteshop' ),
                            'desc'    =>
                                '<ul>
                                    <li>' . esc_html__( 'If RTL Language:', 'kuteshop' ) . '</li>
                                    <li>' . esc_html__( '- Sections has class "rtl-bg" will be has rtl background', 'kuteshop' ) . '</li>
                                    <li>' . esc_html__( '- Align has direction left/right will be start/end', 'kuteshop' ) . '</li>
                                </ul>',
                            'default' => 1,
                        ),
                    ),
                ),
                array(
                    'title'  => esc_html__( 'Sidebar Settings', 'kuteshop' ),
                    'fields' => array(
                        array(
                            'id'      => 'sidebar_width',
                            'type'    => 'slider',
                            'title'   => esc_html__( 'Sidebar Width', 'kuteshop' ),
                            'min'     => 200,
                            'max'     => 500,
                            'step'    => 1,
                            'unit'    => esc_html__( 'px', 'kuteshop' ),
                            'default' => 330,
                        ),
                        array(
                            'id'      => 'sidebar_space',
                            'type'    => 'spinner',
                            'title'   => esc_html__( 'Sidebar Space', 'kuteshop' ),
                            'min'     => 0,
                            'max'     => 200,
                            'step'    => 1,
                            'unit'    => 'px',
                            'default' => 30,
                        ),
                        array(
                            'id'      => 'sidebar_width_tablet',
                            'type'    => 'slider',
                            'title'   => esc_html__( 'Sidebar Width Tablet', 'kuteshop' ),
                            'desc'    => esc_html__( 'resolution < 1500px', 'kuteshop' ),
                            'min'     => 200,
                            'max'     => 500,
                            'step'    => 1,
                            'unit'    => esc_html__( 'px', 'kuteshop' ),
                            'default' => 270,
                        ),
                        array(
                            'id'      => 'sidebar_space_tablet',
                            'type'    => 'spinner',
                            'title'   => esc_html__( 'Sidebar Space Tablet', 'kuteshop' ),
                            'desc'    => esc_html__( 'resolution < 1500px', 'kuteshop' ),
                            'min'     => 0,
                            'max'     => 200,
                            'step'    => 1,
                            'unit'    => 'px',
                            'default' => 30,
                        ),
                        array(
                            'id'    => 'sticky_sidebar',
                            'type'  => 'switcher',
                            'title' => esc_html__( 'Sticky Sidebar', 'kuteshop' ),
                        ),
                        array(
                            'id'           => 'multi_sidebar',
                            'type'         => 'repeater',
                            'button_title' => esc_html__( 'Add Sidebar', 'kuteshop' ),
                            'title'        => esc_html__( 'Multi Sidebar', 'kuteshop' ),
                            'fields'       => array(
                                array(
                                    'id'    => 'add_sidebar',
                                    'type'  => 'text',
                                    'title' => esc_html__( 'Name Sidebar', 'kuteshop' ),
                                ),
                            ),
                        ),
                    ),
                ),
                array(
                    'title'  => esc_html__( 'Popup Newsletter', 'kuteshop' ),
                    'fields' => array(
                        array(
                            'id'    => 'enable_popup',
                            'type'  => 'switcher',
                            'title' => esc_html__( 'Enable Popup', 'kuteshop' ),
                        ),
                        array(
                            'id'         => 'popup_page',
                            'type'       => 'select',
                            'title'      => esc_html__( 'Popup Page', 'kuteshop' ),
                            'options'    => 'page',
                            'multiple'   => true,
                            'chosen'     => true,
                            'query_args' => array(
                                'posts_per_page' => -1,
                            ),
                            'desc'       => esc_html__( 'The page popup will be show.', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'popup_effect',
                            'type'    => 'select',
                            'title'   => esc_html__( 'Popup Effect', 'kuteshop' ),
                            'options' => array(
                                'mfp-zoom-in'         => esc_html__( 'Zoom In', 'kuteshop' ),
                                'mfp-newspaper'       => esc_html__( 'Newspaper', 'kuteshop' ),
                                'mfp-move-horizontal' => esc_html__( 'Horizontal Move', 'kuteshop' ),
                                'mfp-move-from-top'   => esc_html__( 'Move From Top', 'kuteshop' ),
                                'mfp-3d-unfold'       => esc_html__( '3D Unfold', 'kuteshop' ),
                                'mfp-zoom-out'        => esc_html__( 'Zoom Out', 'kuteshop' ),
                            ),
                            'default' => 'mfp-zoom-in',
                        ),
                        array(
                            'id'    => 'popup_bg',
                            'type'  => 'image',
                            'title' => esc_html__( 'Background', 'kuteshop' ),
                        ),
                        array(
                            'id'    => 'popup_img',
                            'type'  => 'image',
                            'title' => esc_html__( 'Image', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'popup_text_1',
                            'type'    => 'text',
                            'title'   => esc_html__( 'Text 1', 'kuteshop' ),
                            'default' => esc_html__( 'SIGN UP FOR OUR NEWSLETTER & PROMOTIONS !', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'popup_text_2',
                            'type'    => 'text',
                            'title'   => esc_html__( 'Text 2', 'kuteshop' ),
                            'default' => esc_html__( 'SALE 20% OFF', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'popup_text_3',
                            'type'    => 'text',
                            'title'   => esc_html__( 'Text 3', 'kuteshop' ),
                            'default' => esc_html__( 'ON YOUR NEXT PURCHASE', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'input_placeholder',
                            'type'    => 'text',
                            'title'   => esc_html__( 'Input Placeholder', 'kuteshop' ),
                            'default' => esc_html__( 'Enter your email address here...', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'popup_button',
                            'type'    => 'text',
                            'title'   => esc_html__( 'Button', 'kuteshop' ),
                            'default' => esc_html__( 'Subscribe & Get our promotion now !', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'popup_text_4',
                            'type'    => 'text',
                            'title'   => esc_html__( 'Text 4', 'kuteshop' ),
                            'default' => esc_html__( 'No Thank ! I am not interested in this promotion ', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'popup_delay',
                            'type'    => 'spinner',
                            'title'   => esc_html__( 'Delay', 'kuteshop' ),
                            'step'    => 1,
                            'min'     => 0,
                            'max'     => 9999,
                            'unit'    => 'milliseconds',
                            'default' => 1000,
                        ),
                    ),
                ),
                array(
                    'title'  => esc_html__( 'Page Head', 'kuteshop' ),
                    'fields' => array(
                        array(
                            'id'    => 'page_head_bg',
                            'type'  => 'image',
                            'title' => esc_html__( 'Background', 'kuteshop' ),
                        ),
                    ),
                ),
                array(
                    'title'  => esc_html__( '404 Error', 'kuteshop' ),
                    'fields' => array(
                        array(
                            'id'    => '404_image',
                            'type'  => 'image',
                            'title' => esc_html__( '404 Image', 'kuteshop' ),
                        ),
                    ),
                ),
                array(
                    'title'  => esc_html__( 'ACE Settings', 'kuteshop' ),
                    'fields' => array(
                        array(
                            'id'       => 'ace_style',
                            'type'     => 'code_editor',
                            'settings' => array(
                                'theme' => 'dracula',
                                'mode'  => 'css',
                            ),
                            'title'    => esc_html__( 'Editor Style', 'kuteshop' ),
                        ),
                        array(
                            'id'       => 'ace_script',
                            'type'     => 'code_editor',
                            'settings' => array(
                                'theme' => 'dracula',
                                'mode'  => 'javascript',
                            ),
                            'title'    => esc_html__( 'Editor Javascript', 'kuteshop' ),
                        ),
                    ),
                ),
            ),
        );
        $options['header_main']  = array(
            'name'     => 'header_main',
            'icon'     => 'fa fa-folder-open-o',
            'title'    => esc_html__( 'Header', 'kuteshop' ),
            'sections' => array(
                array(
                    'title'  => esc_html__( 'Header Main', 'kuteshop' ),
                    'fields' => array(
                        array(
                            'id'      => 'sticky_menu',
                            'type'    => 'button_set',
                            'title'   => esc_html__( 'Header Sticky', 'kuteshop' ),
                            'options' => array(
                                'none'     => esc_html__( 'None', 'kuteshop' ),
                                'template' => esc_html__( 'Template', 'kuteshop' ),
                                'jquery'   => esc_html__( 'jQuery', 'kuteshop' ),
                            ),
                            'default' => 'none',
                        ),
                        array(
                            'id'         => 'header_template',
                            'type'       => 'select_preview',
                            'title'      => esc_html__( 'Header Layout', 'kuteshop' ),
                            'options'    => kuteshop_file_options( '/templates/header/', 'header' ),
                            'default'    => 'style-01',
                            'attributes' => array(
                                'data-depend-id' => 'header_template',
                            ),
                        ),
                        array(
                            'id'          => 'header_banner',
                            'type'        => 'select',
                            'options'     => 'page',
                            'chosen'      => true,
                            'ajax'        => true,
                            'placeholder' => esc_html__( 'None', 'kuteshop' ),
                            'title'       => esc_html__( 'Header Banner', 'kuteshop' ),
                            'desc'        => esc_html__( 'Get banner on header from page builder', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'enable_primary_menu',
                            'type'    => 'switcher',
                            'title'   => esc_html__( 'Enable Primary Menu', 'kuteshop' ),
                            'default' => 1,
                        ),
                        array(
                            'id'          => 'header_submenu',
                            'type'        => 'select',
                            'title'       => esc_html__( 'Header Submenu', 'kuteshop' ),
                            'options'     => 'menus',
                            'chosen'      => true,
                            'ajax'        => true,
                            'query_args'  => array(
                                'data-slug' => true,
                            ),
                            'placeholder' => esc_html__( 'None', 'kuteshop' ),
                        ),
                        array(
                            'id'          => 'header_submenu_2',
                            'type'        => 'select',
                            'title'       => esc_html__( 'Header Submenu 2', 'kuteshop' ),
                            'options'     => 'menus',
                            'chosen'      => true,
                            'ajax'        => true,
                            'query_args'  => array(
                                'data-slug' => true,
                            ),
                            'placeholder' => esc_html__( 'None', 'kuteshop' ),
                        ),
                        array(
                            'id'          => 'header_submenu_3',
                            'type'        => 'select',
                            'title'       => esc_html__( 'Header Submenu 3', 'kuteshop' ),
                            'options'     => 'menus',
                            'chosen'      => true,
                            'ajax'        => true,
                            'query_args'  => array(
                                'data-slug' => true,
                            ),
                            'placeholder' => esc_html__( 'None', 'kuteshop' ),
                            'dependency'  => array(
                                'header_template', 'any',
                                'style-02,style-04'
                            ),
                        ),
                        array(
                            'id'              => 'header_info',
                            'type'            => 'group',
                            'title'           => esc_html__( 'Header Info', 'kuteshop' ),
                            'button_title'    => esc_html__( 'Add item', 'kuteshop' ),
                            'accordion_title' => esc_html__( 'Add New item', 'kuteshop' ),
                            'fields'          => array(
                                array(
                                    'id'    => 'info_title',
                                    'type'  => 'text',
                                    'title' => esc_html__( 'Title', 'kuteshop' ),
                                ),
                                array(
                                    'id'    => 'info_img',
                                    'type'  => 'image',
                                    'title' => esc_html__( 'Image', 'kuteshop' ),
                                ),
                            ),
                            'dependency'      => array(
                                'header_template', 'any',
                                'style-04'
                            ),
                        ),
                        array(
                            'id'         => 'header_phone',
                            'type'       => 'text',
                            'title'      => esc_html__( 'Header Phone', 'kuteshop' ),
                            'dependency' => array(
                                'header_template', 'any',
                                'style-01,style-02,style-03,style-05,style-99'
                            ),
                        ),
                        array(
                            'id'         => 'header_message',
                            'type'       => 'text',
                            'title'      => esc_html__( 'Header Message', 'kuteshop' ),
                            'dependency' => array(
                                'header_template', 'any',
                                'style-02,style-99,spo'
                            ),
                        ),
                    ),
                ),
                array(
                    'title'  => esc_html__( 'Vertical Menu', 'kuteshop' ),
                    'fields' => array(
                        array(
                            'id'       => 'vertical_always_open',
                            'type'     => 'select',
                            'options'  => 'page',
                            'multiple' => true,
                            'chosen'   => true,
                            'ajax'     => true,
                            'title'    => esc_html__( 'Vertical Menu Always Open', 'kuteshop' ),
                        ),
                        array(
                            'type'       => 'notice',
                            'style'      => 'warning',
                            'content'    => esc_html__( 'Style header do not support vertical menu.', 'kuteshop' ),
                            'dependency' => array( 'header_template', 'not-any', $vertical_menu, true ),
                        ),
                        array(
                            'id'          => 'vertical_menu',
                            'type'        => 'select',
                            'title'       => esc_html__( 'Vertical Menu', 'kuteshop' ),
                            'options'     => 'menus',
                            'chosen'      => true,
                            'ajax'        => true,
                            'query_args'  => array(
                                'data-slug' => true,
                            ),
                            'placeholder' => esc_html__( 'None', 'kuteshop' ),
                            'dependency'  => array( 'header_template', 'any', $vertical_menu, true ),
                        ),
                        array(
                            'id'         => 'vertical_title',
                            'type'       => 'text',
                            'title'      => esc_html__( 'Vertical Title', 'kuteshop' ),
                            'default'    => esc_html__( 'Categories', 'kuteshop' ),
                            'dependency' => array( 'header_template', 'any', $vertical_menu, true ),
                        ),
                        array(
                            'id'         => 'vertical_items',
                            'type'       => 'number',
                            'unit'       => 'items',
                            'default'    => 11,
                            'title'      => esc_html__( 'Vertical Items', 'kuteshop' ),
                            'dependency' => array( 'header_template', 'any', $vertical_menu, true ),
                        ),
                        array(
                            'title'      => esc_html__( 'Vertical Button Show More', 'kuteshop' ),
                            'id'         => 'vertical_show_more',
                            'type'       => 'text',
                            'default'    => esc_html__( 'All Categories', 'kuteshop' ),
                            'dependency' => array( 'header_template', 'any', $vertical_menu, true ),
                        ),
                        array(
                            'title'      => esc_html__( 'Vertical Button Show Less', 'kuteshop' ),
                            'id'         => 'vertical_show_less',
                            'type'       => 'text',
                            'default'    => esc_html__( 'Close', 'kuteshop' ),
                            'dependency' => array( 'header_template', 'any', $vertical_menu, true ),
                        ),
                    ),
                ),
            ),
        );
        $options['footer_main']  = array(
            'name'   => 'footer_main',
            'icon'   => 'fa fa-folder-open-o',
            'title'  => esc_html__( 'Footer', 'kuteshop' ),
            'fields' => array(
                array(
                    'id'      => 'footer_template',
                    'type'    => 'select_preview',
                    'default' => 'footer-01',
                    'title'   => esc_html__( 'Footer Layout', 'kuteshop' ),
                    'options' => kuteshop_footer_preview(),
                ),
            ),
        );
        $options['mobile_main']  = array(
            'name'     => 'mobile_main',
            'icon'     => 'fa fa-wordpress',
            'title'    => esc_html__( 'Mobile', 'kuteshop' ),
            'sections' => array(
                array(
                    'title'  => esc_html__( 'Mobile Layout', 'kuteshop' ),
                    'fields' => array(
                        array(
                            'id'      => 'mobile_enable',
                            'type'    => 'switcher',
                            'title'   => esc_html__( 'Mobile version', 'kuteshop' ),
                            'default' => 1,
                        ),
                        array(
                            'id'    => 'logo_mobile',
                            'type'  => 'image',
                            'title' => esc_html__( 'Logo Mobile', 'kuteshop' ),
                            'desc'  => esc_html__( 'Setting Logo For Site', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'mobile_layout',
                            'type'    => 'image_select',
                            'default' => 'style-01',
                            'title'   => esc_html__( 'Mobile Layout', 'kuteshop' ),
                            'options' => array(
                                'style-01' => get_theme_file_uri( 'templates/mobile/mobile-style-01.png' ),
                                'style-02' => get_theme_file_uri( 'templates/mobile/mobile-style-02.png' ),
                                'style-03' => get_theme_file_uri( 'templates/mobile/mobile-style-03.png' ),
                            ),
                        ),
                        array(
                            'id'      => 'mobile_banner',
                            'type'    => 'switcher',
                            'title'   => esc_html__( 'Mobile Top Banner', 'kuteshop' ),
                            'default' => 1,
                        ),
                        array(
                            'id'      => 'background_mobile',
                            'type'    => 'background',
                            'title'   => esc_html__( 'Background Mobile', 'kuteshop' ),
                            'desc'    => esc_html__( 'Setting Background For Mobile Menu', 'kuteshop' ),
                            'default' => array(
                                'background-position'   => 'center center',
                                'background-repeat'     => 'no-repeat',
                                'background-attachment' => 'scroll',
                                'background-size'       => 'cover',
                            ),
                            'output'  => '.ovic-menu-clone-wrap .head-menu-mobile'
                        ),
                    )
                ),
                array(
                    'title'  => esc_html__( 'Mobile Content', 'kuteshop' ),
                    'fields' => array(
                        array(
                            'id'          => 'mobile_menu_top',
                            'type'        => 'select',
                            'title'       => esc_html__( 'Mobile Menu Top', 'kuteshop' ),
                            'options'     => 'menus',
                            'chosen'      => true,
                            'ajax'        => true,
                            'query_args'  => array(
                                'data-slug' => true,
                            ),
                            'placeholder' => esc_html__( 'None', 'kuteshop' ),
                        ),
                        array(
                            'id'          => 'mobile_menu_bottom',
                            'type'        => 'select',
                            'title'       => esc_html__( 'Mobile Menu Bottom', 'kuteshop' ),
                            'options'     => 'menus',
                            'chosen'      => true,
                            'ajax'        => true,
                            'query_args'  => array(
                                'data-slug' => true,
                            ),
                            'placeholder' => esc_html__( 'None', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'mobile_footer',
                            'type'    => 'select_preview',
                            'default' => 'inherit',
                            'title'   => esc_html__( 'Footer Mobile', 'kuteshop' ),
                            'options' => kuteshop_footer_preview( true ),
                        ),
                    )
                ),
            )
        );
        $options['posts_main']   = array(
            'name'     => 'posts_main',
            'icon'     => 'fa fa-rss',
            'title'    => esc_html__( 'Posts Settings', 'kuteshop' ),
            'sections' => array(
                array(
                    'title'  => esc_html__( 'Blog Page', 'kuteshop' ),
                    'fields' => array(
                        array(
                            'id'      => 'blog_page_title',
                            'type'    => 'switcher',
                            'title'   => esc_html__( 'Page Title', 'kuteshop' ),
                            'default' => 1,
                        ),
                        array(
                            'id'      => 'blog_list_style',
                            'type'    => 'select',
                            'title'   => esc_html__( 'Blog Style', 'kuteshop' ),
                            'options' => array(
                                'standard' => esc_html__( 'Standard', 'kuteshop' ),
                                'grid'     => esc_html__( 'Grid', 'kuteshop' ),
                                'list'     => esc_html__( 'List', 'kuteshop' ),
                            ),
                            'default' => 'standard',
                        ),
                        array(
                            'id'         => 'blog_list_column',
                            'type'       => 'spinner',
                            'title'      => esc_html__( 'Blog Column', 'kuteshop' ),
                            'desc'       => esc_html__( 'for Grid', 'kuteshop' ),
                            'max'        => 6,
                            'min'        => 2,
                            'step'       => 1,
                            'unit'       => 'columns',
                            'default'    => 2,
                            'dependency' => array( 'blog_list_style', '==', 'grid' ),
                        ),
                        array(
                            'id'      => 'sidebar_blog_layout',
                            'type'    => 'image_select',
                            'title'   => esc_html__( 'Sidebar Blog Layout', 'kuteshop' ),
                            'desc'    => esc_html__( 'Select sidebar position on Blog.', 'kuteshop' ),
                            'options' => array(
                                'left'  => get_theme_file_uri( 'assets/images/left-sidebar.png' ),
                                'right' => get_theme_file_uri( 'assets/images/right-sidebar.png' ),
                                'full'  => get_theme_file_uri( 'assets/images/no-sidebar.png' ),
                            ),
                            'default' => 'left',
                        ),
                        array(
                            'id'         => 'blog_used_sidebar',
                            'type'       => 'select',
                            'default'    => 'widget-area',
                            'title'      => esc_html__( 'Blog Sidebar', 'kuteshop' ),
                            'options'    => 'sidebars',
                            'dependency' => array( 'sidebar_blog_layout', '!=', 'full' ),
                        ),
                        array(
                            'id'      => 'blog_pagination',
                            'type'    => 'button_set',
                            'title'   => esc_html__( 'Blog Pagination', 'kuteshop' ),
                            'options' => array(
                                'pagination' => esc_html__( 'Pagination', 'kuteshop' ),
                                'load_more'  => esc_html__( 'Load More', 'kuteshop' ),
                                'infinite'   => esc_html__( 'Infinite Scrolling', 'kuteshop' ),
                            ),
                            'default' => 'pagination',
                            'desc'    => esc_html__( 'Select style pagination on blog page.', 'kuteshop' ),
                        ),
                    ),
                ),
                array(
                    'title'  => esc_html__( 'Post Single', 'kuteshop' ),
                    'fields' => array(
                        array(
                            'id'      => 'single_layout',
                            'type'    => 'select',
                            'default' => 'standard',
                            'title'   => esc_html__( 'Single Post Layout', 'kuteshop' ),
                            'options' => array(
                                'standard' => esc_html__( 'Standard', 'kuteshop' ),
                            ),
                        ),
                        array(
                            'id'      => 'sidebar_single_layout',
                            'type'    => 'image_select',
                            'title'   => esc_html__( ' Sidebar Single Post Layout', 'kuteshop' ),
                            'desc'    => esc_html__( 'Select sidebar position on Blog.', 'kuteshop' ),
                            'options' => array(
                                'left'  => get_theme_file_uri( 'assets/images/left-sidebar.png' ),
                                'right' => get_theme_file_uri( 'assets/images/right-sidebar.png' ),
                                'full'  => get_theme_file_uri( 'assets/images/no-sidebar.png' ),
                            ),
                            'default' => 'right',
                        ),
                        array(
                            'id'         => 'single_used_sidebar',
                            'type'       => 'select',
                            'default'    => 'widget-area',
                            'title'      => esc_html__( 'Blog Single Sidebar', 'kuteshop' ),
                            'options'    => 'sidebars',
                            'dependency' => array( 'sidebar_single_layout', '!=', 'full' ),
                        ),
                        array(
                            'id'    => 'enable_share_post',
                            'type'  => 'switcher',
                            'title' => esc_html__( 'Enable Share', 'kuteshop' ),
                        ),
                        array(
                            'id'    => 'enable_pagination_post',
                            'type'  => 'switcher',
                            'title' => esc_html__( 'Enable Prev/Next Post', 'kuteshop' ),
                        ),
                        array(
                            'id'    => 'enable_author_info',
                            'type'  => 'switcher',
                            'title' => esc_html__( 'Enable Author Info', 'kuteshop' ),
                        ),
                        array(
                            'id'    => 'enable_related_post',
                            'type'  => 'switcher',
                            'title' => esc_html__( 'Enable Related Posts', 'kuteshop' ),
                        ),
                    ),
                ),
            ),
        );
        if ( class_exists( 'WooCommerce' ) ) {
            $options['woocommerce_mains'] = array(
                'name'     => 'woocommerce_mains',
                'icon'     => 'fa fa-shopping-bag',
                'title'    => esc_html__( 'WooCommerce', 'kuteshop' ),
                'sections' => array(
                    array(
                        'title'  => esc_html__( 'Shop Page', 'kuteshop' ),
                        'fields' => array(
                            array(
                                'id'      => 'shop_page_title',
                                'type'    => 'switcher',
                                'title'   => esc_html__( 'Page Title', 'kuteshop' ),
                                'default' => 1,
                            ),
                            array(
                                'id'          => 'shop_builder_top',
                                'type'        => 'select',
                                'options'     => 'page',
                                'query_args'  => array(
                                    'posts_per_page' => -1,
                                ),
                                'chosen'      => true,
                                'ajax'        => true,
                                'placeholder' => esc_html__( 'Select Page', 'kuteshop' ),
                                'title'       => esc_html__( 'Shop Builder Top', 'kuteshop' ),
                                'desc'        => esc_html__( 'Get shop banner from page builder.', 'kuteshop' ),
                            ),
                            array(
                                'id'      => 'shop_builder_position',
                                'type'    => 'select',
                                'title'   => esc_html__( 'Shop Builder Position', 'kuteshop' ),
                                'options' => array(
                                    'outside' => esc_html__( 'Outside', 'kuteshop' ),
                                    'inside'  => esc_html__( 'Inside', 'kuteshop' ),
                                ),
                                'default' => 'inside',
                            ),
                            array(
                                'id'          => 'shop_builder_bot',
                                'type'        => 'select',
                                'options'     => 'page',
                                'query_args'  => array(
                                    'posts_per_page' => -1,
                                ),
                                'chosen'      => true,
                                'ajax'        => true,
                                'placeholder' => esc_html__( 'Select Page', 'kuteshop' ),
                                'title'       => esc_html__( 'Shop Builder Bottom', 'kuteshop' ),
                                'desc'        => esc_html__( 'Get shop banner from page builder.', 'kuteshop' ),
                            ),
                            array(
                                'id'      => 'shop_page_layout',
                                'type'    => 'image_select',
                                'default' => 'grid',
                                'title'   => esc_html__( 'Shop Layout', 'kuteshop' ),
                                'desc'    => esc_html__( 'Select layout for shop product, product category archive.',
                                    'kuteshop' ),
                                'options' => array(
                                    'grid' => get_theme_file_uri( 'assets/images/grid-display.png' ),
                                    'list' => get_theme_file_uri( 'assets/images/list-display.png' ),
                                ),
                            ),
                            array(
                                'id'      => 'product_loop_columns',
                                'type'    => 'spinner',
                                'title'   => esc_html__( 'Products Columns', 'kuteshop' ),
                                'desc'    => esc_html__( 'for Grid', 'kuteshop' ),
                                'max'     => 6,
                                'min'     => 2,
                                'step'    => 1,
                                'unit'    => 'columns',
                                'default' => 3,
                            ),
                            array(
                                'id'      => 'product_per_page',
                                'type'    => 'spinner',
                                'default' => '18',
                                'unit'    => 'items',
                                'title'   => esc_html__( 'Products Per Page', 'kuteshop' ),
                            ),
                            array(
                                'id'      => 'product_newness',
                                'default' => 100,
                                'type'    => 'spinner',
                                'unit'    => 'days',
                                'title'   => esc_html__( 'Products Newness', 'kuteshop' ),
                            ),
                            array(
                                'id'      => 'product_hover',
                                'type'    => 'button_set',
                                'title'   => esc_html__( 'Product Image Hover', 'kuteshop' ),
                                'options' => array(
                                    ''       => esc_html__( 'None', 'kuteshop' ),
                                    'zoom'   => esc_html__( 'Zoom Image', 'kuteshop' ),
                                    'change' => esc_html__( 'Change Image', 'kuteshop' ),
                                    'slide'  => esc_html__( 'Slide Image', 'kuteshop' ),
                                ),
                                'default' => '',
                            ),
                            array(
                                'id'      => 'woocommerce_pagination',
                                'type'    => 'button_set',
                                'title'   => esc_html__( 'Shop Pagination', 'kuteshop' ),
                                'options' => array(
                                    'pagination' => esc_html__( 'Pagination', 'kuteshop' ),
                                    'load_more'  => esc_html__( 'Load More', 'kuteshop' ),
                                    'infinite'   => esc_html__( 'Infinite Scrolling', 'kuteshop' ),
                                ),
                                'default' => 'pagination',
                                'desc'    => esc_html__( 'Select style pagination on shop page.', 'kuteshop' ),
                            ),
                        ),
                    ),
                    array(
                        'title'  => esc_html__( 'Shop Page Sidebar', 'kuteshop' ),
                        'fields' => array(
                            array(
                                'id'      => 'sidebar_shop_layout',
                                'type'    => 'image_select',
                                'title'   => esc_html__( 'Shop Page Sidebar Layout', 'kuteshop' ),
                                'desc'    => esc_html__( 'Select sidebar position on Shop Page.', 'kuteshop' ),
                                'options' => array(
                                    'left'  => get_theme_file_uri( 'assets/images/left-sidebar.png' ),
                                    'right' => get_theme_file_uri( 'assets/images/right-sidebar.png' ),
                                    'full'  => get_theme_file_uri( 'assets/images/no-sidebar.png' ),
                                ),
                                'default' => 'left',
                            ),
                            array(
                                'id'         => 'shop_used_sidebar',
                                'type'       => 'select',
                                'default'    => 'shop-widget-area',
                                'title'      => esc_html__( 'Sidebar Used For Shop', 'kuteshop' ),
                                'options'    => 'sidebars',
                                'dependency' => array( 'sidebar_shop_layout', '!=', 'full' ),
                            ),
                            array(
                                'id'         => 'shop_vendor_used_sidebar',
                                'type'       => 'select',
                                'default'    => 'shop-widget-area',
                                'title'      => esc_html__( 'Sidebar Used For Vendor', 'kuteshop' ),
                                'options'    => 'sidebars',
                                'dependency' => array( 'sidebar_shop_layout', '!=', 'full' ),
                            ),
                            array(
                                'id'      => 'shop_sidebar_width',
                                'type'    => 'slider',
                                'title'   => esc_html__( 'Sidebar Width', 'kuteshop' ),
                                'desc'    => esc_html__( 'Default is General / Sidebar settings', 'kuteshop' ),
                                'min'     => 200,
                                'max'     => 500,
                                'step'    => 1,
                                'unit'    => esc_html__( 'px', 'kuteshop' ),
                                'default' => 330,
                            ),
                            array(
                                'id'      => 'shop_sidebar_space',
                                'type'    => 'spinner',
                                'title'   => esc_html__( 'Sidebar Space', 'kuteshop' ),
                                'desc'    => esc_html__( 'Default is General / Sidebar settings', 'kuteshop' ),
                                'min'     => 0,
                                'max'     => 200,
                                'step'    => 1,
                                'unit'    => 'px',
                                'default' => 30,
                            ),
                            array(
                                'id'      => 'shop_sidebar_width_tablet',
                                'type'    => 'slider',
                                'title'   => esc_html__( 'Sidebar Width Tablet', 'kuteshop' ),
                                'desc'    => esc_html__( 'resolution < 1500px', 'kuteshop' ),
                                'min'     => 200,
                                'max'     => 500,
                                'step'    => 1,
                                'unit'    => esc_html__( 'px', 'kuteshop' ),
                                'default' => 270,
                            ),
                            array(
                                'id'      => 'shop_sidebar_space_tablet',
                                'type'    => 'spinner',
                                'title'   => esc_html__( 'Sidebar Space Tablet', 'kuteshop' ),
                                'desc'    => esc_html__( 'resolution < 1500px', 'kuteshop' ),
                                'min'     => 0,
                                'max'     => 200,
                                'step'    => 1,
                                'unit'    => 'px',
                                'default' => 30,
                            ),
                        ),
                    ),
                    array(
                        'title'  => esc_html__( 'Shop Page Items', 'kuteshop' ),
                        'fields' => array(
                            array(
                                'id'      => 'shop_product_style',
                                'type'    => 'select_preview',
                                'default' => 'style-01',
                                'title'   => esc_html__( 'Grid Items Style', 'kuteshop' ),
                                'options' => kuteshop_product_options( 'Theme Option' ),
                            ),
                            array(
                                'id'    => 'disable_labels',
                                'type'  => 'switcher',
                                'title' => esc_html__( 'Disable Labels', 'kuteshop' ),
                            ),
                            array(
                                'id'    => 'disable_rating',
                                'type'  => 'switcher',
                                'title' => esc_html__( 'Disable Rating', 'kuteshop' ),
                            ),
                            array(
                                'id'    => 'short_text',
                                'type'  => 'switcher',
                                'title' => esc_html__( 'Short Title', 'kuteshop' ),
                            ),
                            array(
                                'id'    => 'enable_short_title',
                                'type'  => 'switcher',
                                'title' => esc_html__( 'Short Title on Mobile ( < 768px )', 'kuteshop' ),
                            ),
                        ),
                    ),
                    array(
                        'title'  => esc_html__( 'Product Single', 'kuteshop' ),
                        'fields' => array(
                            array(
                                'id'      => 'single_product_thumbnail',
                                'type'    => 'select',
                                'title'   => esc_html__( 'Product Thumbnails', 'kuteshop' ),
                                'options' => array(
                                    'standard' => esc_html__( 'Standard', 'kuteshop' ),
                                    'grid'     => esc_html__( 'Grid Gallery', 'kuteshop' ),
                                    'slide'    => esc_html__( 'Slide Gallery', 'kuteshop' ),
                                    'sticky'   => esc_html__( 'Sticky Summary', 'kuteshop' ),
                                ),
                                'default' => 'standard',
                            ),
                            array(
                                'id'      => 'sidebar_product_layout',
                                'type'    => 'image_select',
                                'title'   => esc_html__( 'Product Sidebar', 'kuteshop' ),
                                'desc'    => esc_html__( 'Select sidebar position on Product Page.', 'kuteshop' ),
                                'options' => array(
                                    'left'  => get_theme_file_uri( 'assets/images/left-sidebar.png' ),
                                    'right' => get_theme_file_uri( 'assets/images/right-sidebar.png' ),
                                    'full'  => get_theme_file_uri( 'assets/images/no-sidebar.png' ),
                                ),
                                'default' => 'left',
                            ),
                            array(
                                'id'         => 'product_used_sidebar',
                                'type'       => 'select',
                                'default'    => 'product-widget-area',
                                'title'      => esc_html__( 'Sidebar Used For Product', 'kuteshop' ),
                                'options'    => 'sidebars',
                                'dependency' => array( 'sidebar_product_layout', '!=', 'full' ),
                            ),
                            array(
                                'id'      => 'single_product_summary',
                                'type'    => 'button_set',
                                'title'   => esc_html__( 'Excerpt', 'kuteshop' ),
                                'options' => array(
                                    'excerpt'    => esc_html__( 'Short Description', 'kuteshop' ),
                                    'attributes' => esc_html__( 'Custom Attributes', 'kuteshop' ),
                                ),
                                'default' => 'attributes',
                            ),
                            array(
                                'id'    => 'enable_countdown_product',
                                'type'  => 'switcher',
                                'title' => esc_html__( 'Enable Countdown', 'kuteshop' ),
                            ),
                            array(
                                'id'    => 'enable_share_product',
                                'type'  => 'switcher',
                                'title' => esc_html__( 'Enable Share', 'kuteshop' ),
                            ),
                            array(
                                'id'    => 'disable_zoom',
                                'type'  => 'switcher',
                                'title' => esc_html__( 'Disable Zoom Gallery', 'kuteshop' ),
                            ),
                            array(
                                'id'    => 'disable_lightbox',
                                'type'  => 'switcher',
                                'title' => esc_html__( 'Disable Lightbox Gallery', 'kuteshop' ),
                            ),
                            array(
                                'id'      => 'single_product_tabs',
                                'type'    => 'select',
                                'title'   => esc_html__( 'Product Tabs', 'kuteshop' ),
                                'options' => array(
                                    ''         => esc_html__( 'Default', 'kuteshop' ),
                                    'show-all' => esc_html__( 'Show All', 'kuteshop' ),
                                ),
                                'default' => '',
                            ),
                        ),
                    ),
                    array(
                        'title'  => esc_html__( 'Related Products', 'kuteshop' ),
                        'fields' => array(
                            array(
                                'id'      => 'woo_related_enable',
                                'type'    => 'button_set',
                                'default' => 'enable',
                                'options' => array(
                                    'enable'  => esc_html__( 'Enable', 'kuteshop' ),
                                    'disable' => esc_html__( 'Disable', 'kuteshop' ),
                                ),
                                'title'   => esc_html__( 'Enable Related Products', 'kuteshop' ),
                            ),
                            array(
                                'id'         => 'woo_related_title',
                                'type'       => 'text',
                                'title'      => esc_html__( 'Related products title', 'kuteshop' ),
                                'desc'       => esc_html__( 'Related products title', 'kuteshop' ),
                                'dependency' => array( 'woo_related_enable', '==', 'enable' ),
                                'default'    => esc_html__( 'Related Products', 'kuteshop' ),
                            ),
                            array(
                                'id'         => 'woo_related_style',
                                'type'       => 'select_preview',
                                'default'    => 'style-01',
                                'title'      => esc_html__( 'Product Related Layout', 'kuteshop' ),
                                'options'    => kuteshop_product_options( 'Theme Option' ),
                                'dependency' => array( 'woo_related_enable', '==', 'enable' ),
                            ),
                            array(
                                'id'         => 'woo_related_perpage',
                                'type'       => 'spinner',
                                'title'      => esc_html__( 'Related products Items', 'kuteshop' ),
                                'desc'       => esc_html__( 'Number Related products to show', 'kuteshop' ),
                                'dependency' => array( 'woo_related_enable', '==', 'enable' ),
                                'default'    => 6,
                                'unit'       => 'item(s)',
                            ),
                            array(
                                'id'      => 'woo_related_desktop',
                                'title'   => esc_html__( 'items on Desktop', 'kuteshop' ),
                                'desc'    => esc_html__( '1500px <= resolution', 'kuteshop' ),
                                'type'    => 'slider',
                                'default' => 5,
                                'min'     => 1,
                                'max'     => 6,
                                'unit'    => 'item(s)',
                            ),
                            array(
                                'id'      => 'woo_related_laptop',
                                'title'   => esc_html__( 'items on Laptop', 'kuteshop' ),
                                'desc'    => esc_html__( '1200px <= resolution < 1500px', 'kuteshop' ),
                                'type'    => 'slider',
                                'default' => 5,
                                'min'     => 1,
                                'max'     => 6,
                                'unit'    => 'item(s)',
                            ),
                            array(
                                'id'      => 'woo_related_ipad',
                                'title'   => esc_html__( 'items on Ipad', 'kuteshop' ),
                                'desc'    => esc_html__( '992px <= resolution < 1200px', 'kuteshop' ),
                                'type'    => 'slider',
                                'default' => 4,
                                'min'     => 1,
                                'max'     => 6,
                                'unit'    => 'item(s)',
                            ),
                            array(
                                'id'      => 'woo_related_landscape',
                                'title'   => esc_html__( 'items on Landscape Tablet', 'kuteshop' ),
                                'desc'    => esc_html__( '768px <= resolution < 992px', 'kuteshop' ),
                                'type'    => 'slider',
                                'default' => 3,
                                'min'     => 1,
                                'max'     => 6,
                                'unit'    => 'item(s)',
                            ),
                            array(
                                'id'      => 'woo_related_portrait',
                                'title'   => esc_html__( 'items on Portrait Tablet', 'kuteshop' ),
                                'desc'    => esc_html__( '480px <= resolution < 768px', 'kuteshop' ),
                                'type'    => 'slider',
                                'default' => 3,
                                'min'     => 1,
                                'max'     => 6,
                                'unit'    => 'item(s)',
                            ),
                            array(
                                'id'      => 'woo_related_mobile',
                                'title'   => esc_html__( 'items on Mobile', 'kuteshop' ),
                                'desc'    => esc_html__( 'resolution < 480px', 'kuteshop' ),
                                'type'    => 'slider',
                                'default' => 2,
                                'min'     => 1,
                                'max'     => 6,
                                'unit'    => 'item(s)',
                            ),
                        ),
                    ),
                    array(
                        'title'  => esc_html__( 'Upsell Products', 'kuteshop' ),
                        'fields' => array(
                            array(
                                'id'      => 'woo_upsell_enable',
                                'type'    => 'button_set',
                                'default' => 'enable',
                                'options' => array(
                                    'enable'  => esc_html__( 'Enable', 'kuteshop' ),
                                    'disable' => esc_html__( 'Disable', 'kuteshop' ),
                                ),
                                'title'   => esc_html__( 'Enable Upsell Products', 'kuteshop' ),
                            ),
                            array(
                                'id'         => 'woo_upsell_title',
                                'type'       => 'text',
                                'title'      => esc_html__( 'Upsell products title', 'kuteshop' ),
                                'desc'       => esc_html__( 'Upsell products title', 'kuteshop' ),
                                'dependency' => array( 'woo_upsell_enable', '==', 'enable' ),
                                'default'    => esc_html__( 'Upsell Products', 'kuteshop' ),
                            ),
                            array(
                                'id'         => 'woo_upsell_style',
                                'type'       => 'select_preview',
                                'default'    => 'style-01',
                                'title'      => esc_html__( 'Product Upsell Layout', 'kuteshop' ),
                                'options'    => kuteshop_product_options( 'Theme Option' ),
                                'dependency' => array( 'woo_upsell_enable', '==', 'enable' ),
                            ),
                            array(
                                'id'      => 'woo_upsell_desktop',
                                'title'   => esc_html__( 'items on Desktop', 'kuteshop' ),
                                'desc'    => esc_html__( '1500px <= resolution', 'kuteshop' ),
                                'type'    => 'slider',
                                'default' => 5,
                                'min'     => 1,
                                'max'     => 6,
                                'unit'    => 'item(s)',
                            ),
                            array(
                                'id'      => 'woo_upsell_laptop',
                                'title'   => esc_html__( 'items on Laptop', 'kuteshop' ),
                                'desc'    => esc_html__( '1200px <= resolution < 1500px', 'kuteshop' ),
                                'type'    => 'slider',
                                'default' => 5,
                                'min'     => 1,
                                'max'     => 6,
                                'unit'    => 'item(s)',
                            ),
                            array(
                                'id'      => 'woo_upsell_ipad',
                                'title'   => esc_html__( 'items on Ipad', 'kuteshop' ),
                                'desc'    => esc_html__( '992px <= resolution < 1200px', 'kuteshop' ),
                                'type'    => 'slider',
                                'default' => 4,
                                'min'     => 1,
                                'max'     => 6,
                                'unit'    => 'item(s)',
                            ),
                            array(
                                'id'      => 'woo_upsell_landscape',
                                'title'   => esc_html__( 'items on Landscape Tablet', 'kuteshop' ),
                                'desc'    => esc_html__( '768px <= resolution < 992px', 'kuteshop' ),
                                'type'    => 'slider',
                                'default' => 3,
                                'min'     => 1,
                                'max'     => 6,
                                'unit'    => 'item(s)',
                            ),
                            array(
                                'id'      => 'woo_upsell_portrait',
                                'title'   => esc_html__( 'items on Portrait Tablet', 'kuteshop' ),
                                'desc'    => esc_html__( '480px <= resolution < 768px', 'kuteshop' ),
                                'type'    => 'slider',
                                'default' => 3,
                                'min'     => 1,
                                'max'     => 6,
                                'unit'    => 'item(s)',
                            ),
                            array(
                                'id'      => 'woo_upsell_mobile',
                                'title'   => esc_html__( 'items on Mobile', 'kuteshop' ),
                                'desc'    => esc_html__( 'resolution < 480px', 'kuteshop' ),
                                'type'    => 'slider',
                                'default' => 2,
                                'min'     => 1,
                                'max'     => 6,
                                'unit'    => 'item(s)',
                            ),
                        ),
                    ),
                    array(
                        'title'  => esc_html__( 'Cross Sell Products', 'kuteshop' ),
                        'fields' => array(
                            array(
                                'id'      => 'woo_crosssell_enable',
                                'type'    => 'button_set',
                                'default' => 'enable',
                                'options' => array(
                                    'enable'  => esc_html__( 'Enable', 'kuteshop' ),
                                    'disable' => esc_html__( 'Disable', 'kuteshop' ),
                                ),
                                'title'   => esc_html__( 'Enable Cross Sell Products', 'kuteshop' ),
                            ),
                            array(
                                'id'         => 'woo_crosssell_title',
                                'type'       => 'text',
                                'title'      => esc_html__( 'Cross Sell products title', 'kuteshop' ),
                                'desc'       => esc_html__( 'Cross Sell products title', 'kuteshop' ),
                                'dependency' => array( 'woo_crosssell_enable', '==', 'enable' ),
                                'default'    => esc_html__( 'Cross Sell Products', 'kuteshop' ),
                            ),
                            array(
                                'id'         => 'woo_crosssell_style',
                                'type'       => 'select_preview',
                                'default'    => 'style-01',
                                'title'      => esc_html__( 'Product Cross Sell Layout', 'kuteshop' ),
                                'options'    => kuteshop_product_options( 'Theme Option' ),
                                'dependency' => array( 'woo_crosssell_enable', '==', 'enable' ),
                            ),
                            array(
                                'id'      => 'woo_crosssell_desktop',
                                'title'   => esc_html__( 'items on Desktop', 'kuteshop' ),
                                'desc'    => esc_html__( '1500px <= resolution', 'kuteshop' ),
                                'type'    => 'slider',
                                'default' => 5,
                                'min'     => 1,
                                'max'     => 6,
                                'unit'    => 'item(s)',
                            ),
                            array(
                                'id'      => 'woo_crosssell_laptop',
                                'title'   => esc_html__( 'items on Laptop', 'kuteshop' ),
                                'desc'    => esc_html__( '1200px <= resolution < 1500px', 'kuteshop' ),
                                'type'    => 'slider',
                                'default' => 5,
                                'min'     => 1,
                                'max'     => 6,
                                'unit'    => 'item(s)',
                            ),
                            array(
                                'id'      => 'woo_crosssell_ipad',
                                'title'   => esc_html__( 'items on Ipad', 'kuteshop' ),
                                'desc'    => esc_html__( '992px <= resolution < 1200px', 'kuteshop' ),
                                'type'    => 'slider',
                                'default' => 4,
                                'min'     => 1,
                                'max'     => 6,
                                'unit'    => 'item(s)',
                            ),
                            array(
                                'id'      => 'woo_crosssell_landscape',
                                'title'   => esc_html__( 'items on Landscape Tablet', 'kuteshop' ),
                                'desc'    => esc_html__( '768px <= resolution < 992px', 'kuteshop' ),
                                'type'    => 'slider',
                                'default' => 3,
                                'min'     => 1,
                                'max'     => 6,
                                'unit'    => 'item(s)',
                            ),
                            array(
                                'id'      => 'woo_crosssell_portrait',
                                'title'   => esc_html__( 'items on Portrait Tablet', 'kuteshop' ),
                                'desc'    => esc_html__( '480px <= resolution < 768px', 'kuteshop' ),
                                'type'    => 'slider',
                                'default' => 3,
                                'min'     => 1,
                                'max'     => 6,
                                'unit'    => 'item(s)',
                            ),
                            array(
                                'id'      => 'woo_crosssell_mobile',
                                'title'   => esc_html__( 'items on Mobile', 'kuteshop' ),
                                'desc'    => esc_html__( 'resolution < 480px', 'kuteshop' ),
                                'type'    => 'slider',
                                'default' => 2,
                                'min'     => 1,
                                'max'     => 6,
                                'unit'    => 'item(s)',
                            ),
                        ),
                    ),
                ),
            );
        }
        $options['social']     = array(
            'name'   => 'social',
            'icon'   => 'fa fa-users',
            'title'  => esc_html__( 'Social', 'kuteshop' ),
            'fields' => array(
                array(
                    'id'              => 'user_all_social',
                    'type'            => 'group',
                    'title'           => esc_html__( 'Social', 'kuteshop' ),
                    'button_title'    => esc_html__( 'Add New Social', 'kuteshop' ),
                    'accordion_title' => esc_html__( 'Social Settings', 'kuteshop' ),
                    'fields'          => array(
                        array(
                            'id'      => 'title_social',
                            'type'    => 'text',
                            'title'   => esc_html__( 'Title Social', 'kuteshop' ),
                            'default' => esc_html__( 'Facebook', 'kuteshop' ),
                        ),
                        array(
                            'id'      => 'link_social',
                            'type'    => 'text',
                            'title'   => esc_html__( 'Link Social', 'kuteshop' ),
                            'default' => 'https://facebook.com',
                        ),
                        array(
                            'id'      => 'icon_social',
                            'type'    => 'icon',
                            'title'   => esc_html__( 'Icon Social', 'kuteshop' ),
                            'default' => 'fa fa-facebook',
                        ),
                    ),
                    'default'         => array(
                        array(
                            'title_social' => esc_html__( 'Facebook', 'kuteshop' ),
                            'link_social'  => 'https://facebook.com/',
                            'icon_social'  => 'fa fa-facebook',
                        ),
                        array(
                            'title_social' => esc_html__( 'Twitter', 'kuteshop' ),
                            'link_social'  => 'https://twitter.com/',
                            'icon_social'  => 'fa fa-twitter',
                        ),
                        array(
                            'title_social' => esc_html__( 'Instagram', 'kuteshop' ),
                            'link_social'  => 'https://instagram.com/',
                            'icon_social'  => 'fa fa-instagram',
                        ),
                        array(
                            'title_social' => esc_html__( 'Youtube', 'kuteshop' ),
                            'link_social'  => 'https://youtube.com/',
                            'icon_social'  => 'fa fa-youtube-play',
                        ),
                    ),
                ),
            ),
        );
        $options['typography'] = array(
            'name'   => 'typography',
            'icon'   => 'fa fa-font',
            'title'  => esc_html__( 'Typography', 'kuteshop' ),
            'fields' => array(
                array(
                    'id'             => 'body_typography',
                    'type'           => 'typography',
                    'title'          => esc_html__( 'Typography of Body', 'kuteshop' ),
                    'font_family'    => true,
                    'font_weight'    => true,
                    'font_style'     => true,
                    'subset'         => true,
                    'text_align'     => true,
                    'text_transform' => true,
                    'font_size'      => true,
                    'line_height'    => true,
                    'letter_spacing' => true,
                    'extra_styles'   => true,
                    'color'          => true,
                    'output'         => 'body',
                ),
            ),
        );
        $options['backup']     = array(
            'name'   => 'backup',
            'icon'   => 'fa fa-bold',
            'title'  => esc_html__( 'Backup / Reset', 'kuteshop' ),
            'fields' => array(
                array(
                    'id'    => 'reset',
                    'type'  => 'backup',
                    'title' => esc_html__( 'Reset', 'kuteshop' ),
                ),
                array(
                    'id'      => 'delete_transients',
                    'type'    => 'content',
                    'content' => '<a href="#" data-text-done="' . esc_attr__( '%n transient database entries have been deleted.', 'kuteshop' ) . '" class="button button-primary delete-transients"/>' . esc_html__( 'Delete Transients', 'kuteshop' ) . '</a><span class="spinner" style="float:none;"></span>',
                    'title'   => esc_html__( 'Delete Transients', 'kuteshop' ),
                    'desc'    => esc_html__( 'All transient related database entries will be deleted.', 'kuteshop' ),
                    'after'   => ' <p class="ovic-text-success"></p>',
                ),
            ),
        );
        //
        // Framework Settings
        //
        $settings = array(
            'option_name'      => '_ovic_customize_options',
            'menu_title'       => esc_html__( 'Theme Options', 'kuteshop' ),
            'menu_type'        => 'submenu', // menu, submenu, options, theme, etc.
            'menu_parent'      => 'ovic_addon-dashboard',
            'menu_slug'        => 'ovic_theme_options',
            'menu_position'    => 5,
            'show_search'      => true,
            'show_reset'       => true,
            'show_footer'      => false,
            'show_all_options' => true,
            'ajax_save'        => true,
            'sticky_header'    => false,
            'save_defaults'    => true,
            'framework_title'  => sprintf(
                '%s <small>%s <a href="%s" target="_blank">%s</a></small>',
                esc_html__( 'Theme Options', 'kuteshop' ),
                esc_html__( 'by', 'kuteshop' ),
                esc_url( 'https://kutethemes.com/' ),
                esc_html__( 'Kutethemes', 'kuteshop' )
            ),
        );

        OVIC_Options::instance( $settings, apply_filters( 'kuteshop_framework_theme_options', $options ) );
    }

    add_action( 'init', 'kuteshop_theme_options' );
}