<?php
/**
 * Template shortcode
 *
 * @return string
 * @var $atts
 *
 */
if ( !empty( $atts['brand'] ) ) {
    $term = get_term_by( 'slug', $atts['brand'], 'product_brand' );
    if ( !is_wp_error( $term ) && !empty( $term ) ) {
        $term_link    = get_term_link( $term->term_id, 'product_brand' );
        $thumbnail_id = get_term_meta( $term->term_id, 'logo_id', true );
        ?>
        <div class="inner">
            <?php if ( !empty( $thumbnail_id ) && $thumbnail_id > 0 ): ?>
                <div class="logo">
                    <a href="<?php echo esc_url( $term_link ); ?>">
                        <figure><?php echo wp_get_attachment_image( $thumbnail_id, 'full' ); ?></figure>
                    </a>
                </div>
            <?php endif; ?>
            <?php if ( !empty( $term->description ) ): ?>
                <div class="desc">
                    <?php echo wc_format_content( $term->description ); ?>
                </div>
            <?php endif; ?>
            <?php if ( !empty( $atts['text_button'] ) ): ?>
                <div class="button-wrap">
                    <a href="<?php echo esc_url( $term_link ); ?>" class="button">
                        <?php echo esc_html( $atts['text_button'] ); ?>
                    </a>
                </div>
            <?php endif; ?>
        </div>
        <?php
    }
}