<?php
/**
 * Template shortcode
 *
 * @return string
 * @var $atts
 * @var $ovic_brand
 *
 */

if ( !empty( $atts['title'] ) ) {
    $html .= '<div class="sc-title"><h2 class="title">' . $atts['sc_title'] . '</h2></div>';
}
if ( !empty( $atts['brands'] ) ):
    $owl_settings = $ovic_brand->generate_carousel( $atts ); ?>
    <div class="owl-slick" <?php echo esc_attr( $owl_settings ); ?>>
        <?php foreach ( $atts['brands'] as $brand ) : ?>
            <?php
            $term = get_term_by( 'slug', $brand, 'product_brand' );
            if ( !is_wp_error( $term ) && !empty( $term ) ): ?>
                <?php
                $term_link    = get_term_link( $term->term_id, 'product_brand' );
                $thumbnail_id = get_term_meta( $term->term_id, 'logo_id', true );
                ?>
                <div class="item">
                    <a href="<?php echo esc_url( $term_link ); ?>" class="link <?php echo esc_attr( $atts['image_effect'] ); ?>">
                        <span class="thumb"><span class="image"><?php echo wp_get_attachment_image( $thumbnail_id, 'full' ); ?></span></span>
                    </a>
                </div>
            <?php endif; ?>
        <?php endforeach; ?>
    </div>
<?php endif;