<?php
/**
 * Template shortcode
 *
 * @return string
 * @var $atts
 * @var $link
 * @var $cat
 *
 */
?>
<div class="inner">
    <div class="head-category">
        <?php if (!empty($atts['title'])): ?>
            <h2 class="title">
                <?php echo esc_html($atts['title']); ?>
            </h2>
        <?php endif; ?>
        <?php if (!empty($atts['text_button'])): ?>
            <a <?php echo esc_attr($link); ?>>
                <?php echo esc_html($atts['text_button']); ?>
            </a>
        <?php endif; ?>
    </div>
    <?php if (!empty($atts['category'])):
        $owl_settings = $cat->generate_carousel($atts);
        ?>
        <div class="list-category owl-slick" <?php echo esc_attr($owl_settings); ?>>
            <?php foreach ($atts['category'] as $category) : ?>
                <?php
                $term = get_term_by('slug', $category, 'product_cat');
                if (!is_wp_error($term) && !empty($term)): ?>
                    <?php
                    $term_link    = get_term_link($term->term_id, 'product_cat');
                    $thumbnail_id = get_term_meta($term->term_id, 'thumbnail_id', true);
                    ?>
                    <a href="<?php echo esc_url($term_link); ?>">
                        <figure class="thumb"><?php echo wp_get_attachment_image($thumbnail_id, 'full'); ?></figure>
                        <span class="title"><?php echo esc_html($term->name); ?></span>
                    </a>
                <?php endif; ?>
            <?php endforeach; ?>
        </div>
    <?php endif; ?>
</div>
