<?php
/**
 * Template shortcode
 *
 * @return string
 * @var $atts
 * @var $link
 *
 */
?>
<?php if ( !empty( $atts['category_single'] ) ):
    $term = get_term_by( 'slug', $atts['category_single'], 'product_cat' );
    if ( !is_wp_error( $term ) && !empty( $term ) ): ?>
        <?php
        $term_link = get_term_link( $term->term_id, 'product_cat' );
        if ( !empty( $atts['selected_image']['id'] ) ) {
            $image = $atts['selected_image']['id'];
        } else {
            $image = get_term_meta( $term->term_id, 'thumbnail_id', true );
        }
        if ( !empty( $atts['title'] ) ) {
            $title = $atts['title'];
        } else {
            $title = $term->name;
        }
        ?>
        <a href="<?php echo esc_url( $term_link ); ?>" class="link <?php echo esc_attr( $atts['image_effect'] ); ?>">
            <span class="thumb">
                <?php if ( !empty( $atts['selected_icon'] ) ): ?>
                    <span class="image-effect"><?php \Elementor\Icons_Manager::render_icon( $atts['selected_icon'], [ 'aria-hidden' => 'true' ] ); ?></span>
                <?php elseif ( !empty( $image ) ): ?>
                    <?php echo wp_get_attachment_image( $image, 'full' ); ?>
                <?php endif; ?>
            </span>
            <span class="content">
                <span class="title"><?php echo esc_html( $title ); ?></span>
                <span class="count"><?php echo '(' . $term->count . ')'; ?></span>
            </span>
        </a>
    <?php endif; ?>
<?php endif; ?>
