<?php
if ( !defined( 'ABSPATH' ) ) {
    die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * Shortcode class
 * @var $this "Shortcode_Ovic_Category"
 * @version 1.0.0
 */
class Shortcode_Ovic_Category extends Ovic_Addon_Shortcode
{
    /**
     * Shortcode name.
     *
     * @var  string
     */
    public $shortcode      = 'ovic_category';
    public $is_woocommerce = true;
    public $default        = array(
        'style' => 'style-01',
    );

    public function content( $atts, $content = null )
    {
        $link      = $this->add_link_attributes( $atts[ 'link' ], true );
        $css_class = $this->main_class( $atts, array(
            'ovic-category',
            $atts[ 'style' ],
            'equal-container better-height'
        ) );
        if ( $atts[ 'style' ] == 'style-04' && $atts[ 'content_overflow' ] == 'yes' ) {
            $css_class .= ' content-overflow';
        }

        ob_start(); ?>
        <div class="<?php echo esc_attr( $css_class ); ?>">
            <?php
            $this->get_template( "layout/{$atts['style']}.php",
                array(
                    'atts' => $atts,
                    'link' => $link,
                    'cat'  => $this,
                )
            );
            ?>
        </div>
        <?php
        return ob_get_clean();
    }
}