<?php
/**
 * Template shortcode
 *
 * @return string
 * @var $atts
 *
 */
?>
<div class="inner">
    <div class="content">
        <?php if ( ! empty( $atts['title'] ) ): ?>
            <h2 class="title main-color"><?php echo wp_specialchars_decode( $atts['title'] ); ?></h2>
        <?php endif; ?>
        <?php if (!empty($atts['date'])):
            $params = array(
                'days_text' => esc_html__('DAYS', 'kuteshop'),
                'hrs_text'  => esc_html__('HRS', 'kuteshop'),
                'mins_text' => esc_html__('MINS', 'kuteshop'),
                'secs_text' => esc_html__('SECS', 'kuteshop'),
            );
            wp_enqueue_script('kuteshop-countdown');
            ?>
            <div class="kuteshop-countdown-wrapper">
                <div class="kuteshop-countdown"
                     data-datetime="<?php echo esc_attr($atts['date']); ?>"
                     data-params="<?php echo esc_attr(wp_json_encode($params)) ?>">
                </div>
            </div>
        <?php endif; ?>
    </div>
</div>