<?php
if (!defined('ABSPATH')) {
    die('-1');
}

/**
 * Shortcode attributes
 * @var $atts
 * Shortcode class
 * @var $this "Shortcode_Ovic_Countdown"
 * @version 1.0.0
 */
class Shortcode_Ovic_Countdown extends Ovic_Addon_Shortcode
{
    /**
     * Shortcode name.
     *
     * @var  string
     */
    public $shortcode = 'ovic_countdown';
    public $default   = array(
        'style' => 'style-01',
    );

    public function get_params($params, $atts)
    {
        if ($atts['format'] && $format = explode(',', $atts['format'])) {
            $format = (array) $format;
            foreach ($params as $key => $param) {
                if (!in_array($key, $format)) {
                    unset($params[$key]);
                }
            }
        }

        return $params;
    }

    public function content($atts, $content = null)
    {
        $classes = array(
            'ovic-countdown',
            $atts['style']
        );
        if (!empty($atts['position'])) {
            $classes[] = 'position-'.$atts['position'];
        }
        if (!empty($atts['date'])) {
            $atts['date'] = apply_filters('ovic_change_datetime_countdown', $atts['date'], 0);
        }
        $css_class = $this->main_class($atts, $classes);

        ob_start();
        ?>
        <div class="<?php echo esc_attr($css_class); ?>">
            <?php
            $this->get_template("layout/{$atts['style']}.php",
                array(
                    'atts'      => $atts,
                    'shortcode' => $this,
                )
            );
            ?>
        </div>
        <?php

        return ob_get_clean();
    }
}