<?php
if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'Widget_Ovic_Person' ) ) {
    class Widget_Ovic_Person extends OVIC_Widget
    {
        /**
         * Constructor.
         */
        public function __construct()
        {
            $this->widget_cssclass = 'ovic-person';
            $this->widget_id       = 'ovic_person';
            $this->widget_name     = esc_html__( 'Ovic: Person', 'kuteshop' );
            $this->settings        = array(
                'title'     => array(
                    'type'  => 'text',
                    'title' => esc_html__( 'Title', 'kuteshop' ),
                ),
                'style'     => array(
                    'type'    => 'select_preview',
                    'title'   => esc_html__( 'Select style', 'kuteshop' ),
                    'options' => array(
                        'style-01' => array(
                            'title'   => esc_html__( 'Style 01', 'kuteshop' ),
                            'preview' => get_theme_file_uri( 'shortcode/ovic_person/layout/style-01.jpg' ),
                        ),
                    ),
                    'default' => 'style-01',
                ),
                'avatar'    => array(
                    'type'  => 'image',
                    'title' => esc_html__( 'Avatar', 'kuteshop' ),
                ),
                'name'      => array(
                    'type'  => 'text',
                    'title' => esc_html__( 'Name', 'kuteshop' ),
                ),
                'desc'      => array(
                    'type'  => 'text',
                    'title' => esc_html__( 'Description', 'kuteshop' ),
                ),
                'signature' => array(
                    'type'  => 'image',
                    'title' => esc_html__( 'Signature', 'kuteshop' ),
                ),
                'link'      => array(
                    'type'  => 'text',
                    'title' => esc_html__( 'Link', 'kuteshop' ),
                ),
            );

            parent::__construct();
        }

        /**
         * Output widget.
         *
         * @param  array $args
         * @param  array $instance
         *
         * @see WP_Widget
         *
         */
        public function widget( $args, $instance )
        {
            $atts          = $instance;
            $atts['title'] = '';

            $this->widget_start( $args, $instance );

            unset( $instance['title'] );

            echo ovic_do_shortcode( 'ovic_person', $atts );

            $this->widget_end( $args );
        }
    }
}