<?php

class Editor_Ovic_Products
{
    public static function shortcode_config()
    {
        return array(
            'name'   => 'ovic_products',
            'title'  => 'Products',
            'fields' => array(
                'title'         => array(
                    'id'    => 'title',
                    'type'  => 'text',
                    'title' => esc_html__('Title', 'kuteshop'),
                ),
                'list_style'    => array(
                    'id'      => 'list_style',
                    'type'    => 'text',
                    'class'   => 'ovic-hidden',
                    'default' => 'none',
                    'title'   => esc_html__('List style', 'kuteshop'),
                ),
                'product_style' => array(
                    'id'          => 'product_style',
                    'type'        => 'select_preview',
                    'title'       => esc_html__('Product style', 'kuteshop'),
                    'options'     => kuteshop_product_options('Shortcode'),
                    'default'     => 'style-01',
                    'description' => esc_html__('Select a style for product item', 'kuteshop'),
                ),
                'target'        => array(
                    'id'          => 'target',
                    'type'        => 'select',
                    'title'       => esc_html__('Target', 'kuteshop'),
                    'options'     => array(
                        'recent_products'       => esc_html__('Recent Products', 'kuteshop'),
                        'featured_products'     => esc_html__('Feature Products', 'kuteshop'),
                        'sale_products'         => esc_html__('Sale Products', 'kuteshop'),
                        'best_selling_products' => esc_html__('Best Selling Products', 'kuteshop'),
                        'top_rated_products'    => esc_html__('Top Rated Products', 'kuteshop'),
                        'products'              => esc_html__('Products', 'kuteshop'),
                        'product_category'      => esc_html__('Products Category', 'kuteshop'),
                        'related_products'      => esc_html__('Products Related', 'kuteshop'),
                    ),
                    'attributes'  => array(
                        'data-depend-id' => 'target',
                    ),
                    'default'     => 'recent_products',
                    'description' => esc_html__('Choose the target to filter products', 'kuteshop'),
                ),
                'ids'           => array(
                    'id'          => 'ids',
                    'type'        => 'select',
                    'chosen'      => true,
                    'multiple'    => true,
                    'sortable'    => true,
                    'ajax'        => true,
                    'options'     => 'posts',
                    'query_args'  => array(
                        'post_type' => 'product',
                    ),
                    'title'       => esc_html__('Products', 'kuteshop'),
                    'description' => esc_html__('Enter List of Products', 'kuteshop'),
                    'dependency'  => array('target', '==', 'products'),
                ),
                'category'      => array(
                    'id'          => 'category',
                    'type'        => 'select',
                    'chosen'      => true,
                    'ajax'        => true,
                    'options'     => 'categories',
                    'placeholder' => esc_html__('Select Products Category', 'kuteshop'),
                    'query_args'  => array(
                        'hide_empty' => true,
                        'taxonomy'   => 'product_cat',
                    ),
                    'title'       => esc_html__('Product Categories', 'kuteshop'),
                    'description' => esc_html__('Note: If you want to narrow output, select category(s) above. Only selected categories will be displayed.',
                        'kuteshop'),
                    'dependency'  => array('target', '!=', 'products'),
                ),
                'limit'         => array(
                    'id'          => 'limit',
                    'type'        => 'number',
                    'unit'        => 'items(s)',
                    'default'     => '6',
                    'title'       => esc_html__('Limit', 'kuteshop'),
                    'description' => esc_html__('How much items per page to show', 'kuteshop'),
                ),
                'orderby'       => array(
                    'id'          => 'orderby',
                    'type'        => 'select',
                    'title'       => esc_html__('Order by', 'kuteshop'),
                    'options'     => array(
                        ''              => esc_html__('None', 'kuteshop'),
                        'date'          => esc_html__('Date', 'kuteshop'),
                        'ID'            => esc_html__('ID', 'kuteshop'),
                        'author'        => esc_html__('Author', 'kuteshop'),
                        'title'         => esc_html__('Title', 'kuteshop'),
                        'modified'      => esc_html__('Modified', 'kuteshop'),
                        'rand'          => esc_html__('Random', 'kuteshop'),
                        'comment_count' => esc_html__('Comment count', 'kuteshop'),
                        'menu_order'    => esc_html__('Menu order', 'kuteshop'),
                        'price'         => esc_html__('Price: low to high', 'kuteshop'),
                        'price-desc'    => esc_html__('Price: high to low', 'kuteshop'),
                        'rating'        => esc_html__('Average Rating', 'kuteshop'),
                        'popularity'    => esc_html__('Popularity', 'kuteshop'),
                        'post__in'      => esc_html__('Post In', 'kuteshop'),
                        'most-viewed'   => esc_html__('Most Viewed', 'kuteshop'),
                    ),
                    'description' => sprintf(esc_html__('Select how to sort retrieved products. More at %s.',
                        'kuteshop'),
                        '<a href="'.esc_url('http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters').'" target="_blank">'.esc_html__('WordPress codex page',
                            'kuteshop').'</a>'),
                ),
                'order'         => array(
                    'id'          => 'order',
                    'type'        => 'select',
                    'title'       => esc_html__('Sort order', 'kuteshop'),
                    'options'     => array(
                        ''     => esc_html__('None', 'kuteshop'),
                        'DESC' => esc_html__('Descending', 'kuteshop'),
                        'ASC'  => esc_html__('Ascending', 'kuteshop'),
                    ),
                    'description' => sprintf(esc_html__('Designates the ascending or descending order. More at %s.',
                        'kuteshop'),
                        '<a href="'.esc_url('http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters').'" target="_blank">'.esc_html__('WordPress codex page',
                            'kuteshop').'</a>'),
                ),
            ),
        );
    }
}