<?php
if ( !defined( 'ABSPATH' ) ) {
    die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * Shortcode class
 * @var $this "Shortcode_Ovic_Products"
 * @version 1.0.0
 */
class Shortcode_Ovic_Products extends Ovic_Addon_Shortcode
{
    /**
     * Shortcode name.
     *
     * @var  string
     */
    public $is_woocommerce = true;
    public $shortcode      = 'ovic_products';
    public $default        = array(
        'product_style'               => 'style-01',
        'pagination'                  => 'none',
        'target'                      => 'recent_products',
        'list_style'                  => 'none',
        'product_image_size'          => '300x300',
        'product_custom_thumb_width'  => '300',
        'product_custom_thumb_height' => '300',
        'slides_rows_space'           => '',
        'attribute'                   => '',
        'filter'                      => '',
        'ids'                         => '',
        'skus'                        => '',
        'limit'                       => '6',
        'order'                       => '',
        'orderby'                     => '',
        'category'                    => '',
        'category_brand'              => '',
        'slide_nav'                   => '',
        'slide_dot'                   => '',
        'overflow_visible'            => '',
    );

    public function content( $atts, $content = null )
    {
        $html      = '';
        $css_class = array(
            'ovic-products',
            $atts['slide_dot'],
            $atts['slide_nav'],
            $atts['product_style'],
        );
        if ( empty( $atts['_id'] ) ) {
            $atts['_id'] = uniqid();
        }
        if ( $atts['pagination'] != 'none' ) {
            $css_class[] = "products_{$atts['_id']}";
            $css_class[] = "{$atts['pagination']}-products";
        }
        if ( $atts['overflow_visible'] == 'yes' ) {
            $css_class[] = "content-overflow";
        }
        $array_style = array( 'style-01', 'style-04', 'style-05', 'style-06', 'style-08', 'style-09', 'style-15', 'style-16', 'style-26' );
        if ( in_array( $atts['product_style'], $array_style ) )
            $css_class[] = 'border-full';
        $css_class = $this->main_class( $atts, $css_class );
        /**
         * BEFORE SHORTCODE
         */
        $this->get_template( 'layout/shortcode_before.php',
            array(
                'atts'          => $atts,
                'ovic_products' => $this,
            )
        );
        /**
         * CONTENT PRODUCTS
         */
        $html .= '<div data-id="products_' . esc_attr( $atts['_id'] ) . '" class="' . esc_attr( $css_class ) . '">';
        if ( !empty( $atts['sc_title'] ) ) {
            $html .= '<div class="sc-title"><span class="icon"></span><h2 class="title">' . $atts['sc_title'] . '</h2></div>';
        }
        if ( $atts['target'] == 'products' && $atts['ids'] == '' ) {
            $atts['target'] = '';
        }
        if ( $atts['target'] == 'product_brand' ) {
            $atts['target'] = 'recent_products';
        }
        if ( $atts['target'] != '' ) {
            $html .= ovic_do_shortcode( $atts['target'], kuteshop_shortcode_products_query( $atts ) );
        } else {
            $html .= '<span>' . esc_html__( 'No Product', 'kuteshop' ) . '</span>';
        }
        $html .= '</div>';
        /**
         * AFTER SHORTCODE
         */
        $this->get_template( 'layout/shortcode_after.php',
            array(
                'atts'          => $atts,
                'ovic_products' => $this,
            )
        );

        return $html;
    }
}