<?php
/**
 * Template shortcode
 *
 * @return string
 * @var $atts
 * @var $scroll
 *
 */
$bg_url = !empty( $atts['bg_category']['id'] ) ? wp_get_attachment_image_url( $atts['bg_category']['id'], 'full' ) : '';
$scroll = !empty( $scroll ) ? $scroll : 'vertical';
if ( !empty( $atts['category'] ) ) : ?>
    <div class="scroll-content tab-category"
         style="background-image: url(<?php echo esc_url( $bg_url ); ?>);"
         data-scroll="<?php echo esc_attr( $scroll ); ?>"
         data-mobile="0">
        <div class="scroll-list">
            <?php foreach ( $atts['category'] as $item ) :
                $term = get_term_by( 'slug', $item, 'product_cat' );
                if ( !is_wp_error( $term ) && !empty( $term ) ):
                    $term_link = get_term_link( $term->term_id, 'product_cat' ); ?>
                    <a href="<?php echo esc_url( $term_link ); ?>">
                        <?php echo esc_html( $term->name ); ?>
                    </a>
                <?php endif;
            endforeach; ?>
        </div>
        <a href="#" class="scroll-arrow scroll-prev">
            <?php esc_html_e( 'prev', 'kuteshop' ) ?>
        </a>
        <a href="#" class="scroll-arrow scroll-next">
            <?php esc_html_e( 'next', 'kuteshop' ) ?>
        </a>
    </div>
<?php endif;