<?php
/**
 * Template shortcode
 *
 * @return string
 * @var $atts
 * @var $tabs
 *
 */
$main_class = array( 'tab-banner left' );

$main_class = implode( ' ', $main_class );

if ( !empty( $atts['banner_left'] ) ): ?>
    <div class="<?php echo esc_attr( $main_class ); ?>">
        <?php if ( !empty( $atts['text_feature'] ) ) {
            echo '<span class="text-feature"><span class="text">' . esc_html( $atts['text_feature'] ) . '</span></span>';
        } ?>
        <?php if ( !empty( $atts['banner_left'] ) ): ?>
            <?php
            $classes   = array( 'inner-content' );
            $galleries = $atts['banner_left'];
            $link      = $tabs->add_link_attributes(
                array_merge( $atts['left_link'], array(
                    'class' => $atts['banner_slide_effect']
                ) ), true
            );
            $slick     = '';
            $count     = count( $galleries );
            if ( $count > 1 ) {
                $slick     = json_encode( array(
                    'slidesToShow' => 1,
                    'slidesMargin' => 0,
                    'fade'         => true,
                ) );
                $classes[] = 'owl-slick';
            }
            ?>
            <div class="<?php echo esc_attr( implode( ' ', $classes ) ); ?>"
                 data-slick="<?php echo esc_attr( $slick ); ?>">
                <?php foreach ( $galleries as $gallery ) : ?>
                    <a <?php echo esc_attr( $link ); ?>>
                        <figure><?php echo wp_get_attachment_image( $gallery['id'], 'full' ); ?></figure>
                    </a>
                <?php endforeach; ?>
            </div>
        <?php endif; ?>
    </div>
<?php
endif;