<?php
/**
 * Template shortcode
 *
 * @return string
 * @var $atts
 * @var $tabs
 * @var $toggle
 *
 */

if ( $atts['style'] == 'style-07' || $atts['style'] == 'style-08' ) { ?>
    <h2 class="tab-title" <?php echo esc_attr( $toggle ); ?>>
        <?php echo '<span class="icon-tab toggle-tab"><span class="icon-inner"><span></span><span></span><span></span></span></span>'; ?>
        <?php if ( !empty( $atts['tab_title'] ) ) echo esc_html( $atts['tab_title'] ); ?>
    </h2>
<?php } else {
    if ( !empty( $atts['tab_title'] ) ) : ?>
        <h2 class="tab-title" <?php echo esc_attr( $toggle ); ?>>
            <?php
            if ( $atts['style'] == 'style-04' ) {
                $character = str_split( $atts['tab_title'] );
                $color     = '';
                $count     = 1;
                foreach ( $character as $value ) {
                    if ( $value == ' ' ) {
                        echo '<span class="space"></span>';
                        $color = 'color';
                        if ( $count % 2 == 0 ) {
                            $color = '';
                        }
                        $count++;
                    } else {
                        echo '<span class="text ' . $color . '">' . esc_html( $value ) . '</span>';
                    }
                }
            } else {
                if ( !empty( $atts['selected_media'] ) ) {
                    if ( $atts['selected_media'] == 'image' && !empty( $atts['image_icon']['id'] ) ) {
                        echo '<figure class="icon-tab">';
                        echo wp_get_attachment_image( $atts['image_icon']['id'], 'full' );
                        echo '</figure>';
                    } else {
                        echo '<span class="icon-tab">';
                        Elementor\Icons_Manager::render_icon( $atts['selected_icon'], [ 'aria-hidden' => 'true' ] );
                        echo '</span>';
                    }
                }
                echo esc_html( $atts['tab_title'] );
            }
            ?>
        </h2>
    <?php endif;
}