<?php
if ( !defined( 'ABSPATH' ) ) {
    die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * Shortcode class
 * @var $this "Shortcode_Ovic_Title"
 * @version 1.0.0
 */
class Shortcode_Ovic_Title extends Ovic_Addon_Shortcode
{
    /**
     * Shortcode name.
     *
     * @var  string
     */
    public $shortcode = 'ovic_title';
    public $default   = array(
        'style' => 'style-01',
        'title' => '',
    );

    public function content( $atts, $content = null )
    {
        $css_class = $this->main_class( $atts, array(
            'ovic-title',
            $atts['style'],
        ) );
        if ( empty( $atts['title'] ) ) {
            return '';
        }
        ob_start();
        ?>
        <div class="<?php echo esc_attr( $css_class ); ?>">
            <h2 class="title">
                <?php echo esc_html( $atts['title'] ); ?>
            </h2>
            <?php if ( !empty( $atts['date'] ) ) {
                echo kuteshop_do_shortcode( 'ovic_countdown', array(
                    'style' => 'style-01',
                    'date'  => $atts['date'],
                    'title' => $atts['date_title'],
                ) );
            } ?>
        </div>
        <?php
        return ob_get_clean();
    }
}